/*
* OrgainzeShowVO.java
* 版权所有 © 2011-2017 ??????????????
* Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
* 2019-11-21 09:54:16 created by lipenghe with LAPTOP-IJQ2SDFV
*/
package com.unis.user.common.vo.org;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.common.constant.BaseStatusConstant;
import com.unis.common.vo.groups.InsertGroup;
import com.unis.common.vo.groups.UpdateGroup;
import com.unis.user.common.vo.depot.DepotVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * SYS_ORGAINZE-组织机构
 * @author lipenghe at 2019-11-21 09:54:16
 */
@ApiModel(value = "SYS_ORGAINZE:组织机构-OrgainzeShowVO")
@Data
@Table(name="SYS_ORGAINZE")
public class OrgainzeShowVO implements Serializable{

    @NotBlank(message = "机构编码不能为空",groups ={UpdateGroup.class})
    @Length(max=255,message="机构编码最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "机构编码#<主键><唯一><非空>（LS）在父节点上增加3位流水序号如北京分公司LS+001=LS001", notes ="机构编码", example = "string")
    @Id
    @Column(name="ORG_CODE",length=255)
    private String orgCode;

    @ApiModelProperty(value = "创建时间", notes ="创建时间", example = "2019-11-21", hidden = true)
    @Column(name="CREATE_DATE")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date createDate;

    @Length(max=255,message="创建人最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "创建人", notes ="创建人", example = "string", hidden = true)
    @Column(name="CREATOR", length=255)
    private String creator;

    @ApiModelProperty(value = "缺少注释", notes ="缺少注释", example = "0", hidden = true)
    @Column(name="STATE_CODE", length=10, precision=10, scale=0)
    private Long stateCode;

    @ApiModelProperty(value = "缺少注释", notes ="缺少注释", example = "0", hidden = true)
    @Column(name="VERSION", length=10, precision=10, scale=0)
    private Long version;

    @Length(max=255,message="简介最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "简介", notes ="简介", example = "string", hidden = true)
    @Column(name="BREIF", length=255)
    private String breif;

    @Length(max=255,message="联系人最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "联系人", notes ="联系人", example = "string", hidden = true)
    @Column(name="CONTACT_MAN", length=255)
    private String contactMan;

    @Length(max=255,message="所属区域编码最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "所属区域编码#<检索>", notes ="所属区域编码", example = "string", hidden = true)
    @Column(name="COUNTY_CODE", length=255)
    private String countyCode;

    @ApiModelProperty(value = "维度", notes ="维度", example = "0", hidden = true)
    @Column(name="LATITUDE", length=126, precision=126, scale=0)
    private Double latitude;

    @ApiModelProperty(value = "经度", notes ="经度", example = "0", hidden = true)
    @Column(name="LONGITUDE", length=126, precision=126, scale=0)
    private Double longitude;

    @ApiModelProperty(value = "排序", notes ="排序", example = "0", hidden = true)
    @Column(name="ORDER_BY", length=10, precision=10, scale=0)
    private Long orderBy;

    @Length(max=255,message="联系地址最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "联系地址", notes ="联系地址", example = "string", hidden = true)
    @Column(name="ORG_ADDRESS", length=255)
    private String orgAddress;

    @Length(max=255,message="电子邮箱最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "电子邮箱", notes ="电子邮箱", example = "string", hidden = true)
    @Column(name="ORG_EMAIL", length=255)
    private String orgEmail;

    @Length(max=255,message="传真最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "传真", notes ="传真", example = "string", hidden = true)
    @Column(name="ORG_FAX", length=255)
    private String orgFax;

    @Length(max=255,message="机构级别最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "机构级别#<检索>'10180001:集团公司/国家局''10180003:公司/省局''10180005:分公司/市局''10180007:子公司/县局''10180007:粮库'", notes ="机构级别", example = "string", hidden = true)
    @Column(name="ORG_LEVEL", length=255)
    private String orgLevel;

    @Length(max=255,message="联系手机最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "联系手机", notes ="联系手机", example = "string", hidden = true)
    @Column(name="ORG_MOBILE", length=255)
    private String orgMobile;

    @Length(max=255,message="机构名称最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "机构名称#<检索>", notes ="机构名称", example = "string", hidden = true)
    @Column(name="ORG_NAME", length=255)
    private String orgName;

    @Length(max=255,message="联系电话最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "联系电话", notes ="联系电话", example = "string", hidden = true)
    @Column(name="ORG_PHONE", length=255)
    private String orgPhone;

    @Length(max=255,message="邮编最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "邮编", notes ="邮编", example = "string", hidden = true)
    @Column(name="ORG_POST", length=255)
    private String orgPost;

    @Length(max=255,message="机构类型最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "机构类型#<检索>'10190001:粮食局''10190003:粮科院''10190005:企业''10190005:其他'", notes ="机构类型", example = "string", hidden = true)
    @Column(name="ORG_TYPE", length=255)
    private String orgType;

    @Length(max=255,message="父节点最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "父节点#<检索>", notes ="父节点", example = "string", hidden = true)
    @Column(name="PARENT_CODE", length=255)
    private String parentCode;

    public OrgainzeShowVO(){
        super();
        this.stateCode= Long.valueOf(BaseStatusConstant.STATUS_DELETED);
    }

    @ApiModelProperty(value = "子集---库点信息", notes ="缺少注释", example = "string")
    private List<DepotVO> childData;
}