/*
* PlugDeviceListVO.java
* 版权所有 © 2011-2017 ??????????????
* Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
* 2019-11-20 17:05:14 created by lipenghe with LAPTOP-IJQ2SDFV
*/
package com.unis.user.common.vo.plug;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.common.constant.BaseStatusConstant;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * PLUG_DEVICE-视频监控表
 * @author lipenghe at 2019-11-20 17:05:14
 */
@ApiModel(value = "PLUG_DEVICE:视频监控表-PlugDeviceListVO")
@Data
@Table(name="PLUG_DEVICE")
public class PlugDeviceListVO implements Serializable{

    @ApiModelProperty(value = "设备id#<主键><唯一><非空>主键", notes ="设备id", example = "设备id#<主键><唯一><非空>主键")
    @Id
    @Column(name="DEVID")
    private String devid;

    @ApiModelProperty(value = "id#<唯一><检索>备用主键", notes ="id", example = "1")
    @Column(name="ID")
    private Integer id;

    @ApiModelProperty(value = "id字符串#<唯一><检索>备用主键", notes ="id字符串", example = "id字符串#<唯一><检索>备用主键")
    @Column(name="ID_STR")
    private String idStr;

    @ApiModelProperty(value = "外部id字符串#用于外部数据更新", notes ="外部id字符串", example = "外部id字符串#用于外部数据更新")
    @Column(name="OUT_ID")
    private String outId;

    @ApiModelProperty(value = "外部id来源#用于外部数据更新", notes ="外部id来源", example = "外部id来源#用于外部数据更新")
    @Column(name="OUT_FROM")
    private String outFrom;

    @ApiModelProperty(value = "上级单位ID#<检索>此处是粮库ID", notes ="上级单位ID", example = "上级单位ID#<检索>此处是粮库ID")
    @Column(name="PARENT_ID")
    private String parentId;

    @ApiModelProperty(value = "上级单位名#<检索>", notes ="上级单位名", example = "上级单位名#<检索>")
    @Column(name="PARENT_NAME")
    private String parentName;

    @ApiModelProperty(value = "设备名称#<非空><检索>", notes ="设备名称", example = "设备名称#<非空><检索>")
    @Column(name="DEV_NAME")
    private String devName;

    @ApiModelProperty(value = "设备自身的编码", notes ="设备自身的编码", example = "设备自身的编码")
    @Column(name="DEV_CODE")
    private String devCode;

    @ApiModelProperty(value = "设备型号", notes ="设备型号", example = "设备型号")
    @Column(name="DEV_MODEL")
    private String devModel;

    @ApiModelProperty(value = "设备类型", notes ="设备类型", example = "设备类型")
    @Column(name="DEV_TYPE")
    private String devType;

    @ApiModelProperty(value = "设备软硬件版本", notes ="设备软硬件版本", example = "设备软硬件版本")
    @Column(name="DEV_VERSION")
    private String devVersion;

    @ApiModelProperty(value = "设备位置#<非空><检索>如X粮库东北角", notes ="设备位置", example = "设备位置#<非空><检索>如X粮库东北角")
    @Column(name="DEV_ADDRESS")
    private String devAddress;

    @ApiModelProperty(value = "设备区域", notes ="设备区域", example = "设备区域")
    @Column(name="DEV_AREA")
    private String devArea;

    @ApiModelProperty(value = "设备协议#<非空>如rtsp,file,rtmp", notes ="设备协议", example = "设备协议#<非空>如rtsp,file,rtmp")
    @Column(name="DEV_PROTOCOL")
    private String devProtocol;

    @ApiModelProperty(value = "设备端口#如8080", notes ="设备端口", example = "设备端口#如8080")
    @Column(name="DEV_PORT")
    private String devPort;

    @ApiModelProperty(value = "设备通道#<非空><检索>如ch55", notes ="设备通道", example = "设备通道#<非空><检索>如ch55")
    @Column(name="DEV_CHANNEL")
    private String devChannel;

    @ApiModelProperty(value = "设备描述", notes ="设备描述", example = "设备描述")
    @Column(name="DEV_DESC")
    private String devDesc;

    @ApiModelProperty(value = "设备厂商", notes ="设备厂商", example = "设备厂商")
    @Column(name="DEV_PRODUCER")
    private String devProducer;

    @ApiModelProperty(value = "设备账号", notes ="设备账号", example = "设备账号")
    @Column(name="DEV_USERNAME")
    private String devUsername;

    @ApiModelProperty(value = "设备密码", notes ="设备密码", example = "设备密码")
    @Column(name="DEV_PASSWORD")
    private String devPassword;

    @ApiModelProperty(value = "设备的可逆密码", notes ="设备的可逆密码", example = "设备的可逆密码")
    @Column(name="DEV_REVERSE_PWD")
    private String devReversePwd;

    @ApiModelProperty(value = "设备排序", notes ="设备排序", example = "1")
    @Column(name="DEV_ORDER")
    private Integer devOrder;

    @ApiModelProperty(value = "设备投入运行时间", notes ="设备投入运行时间", example = "2019-10-01")
    @Column(name="APPLY_TIME")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date applyTime;

    @ApiModelProperty(value = "设备运行时间#如200H", notes ="设备运行时间", example = "设备运行时间#如200H")
    @Column(name="RUN_TIME")
    private String runTime;

    @ApiModelProperty(value = "设备使用年限", notes ="设备使用年限", example = "设备使用年限")
    @Column(name="USEFUL_LIFE")
    private String usefulLife;

    @ApiModelProperty(value = "设备串口", notes ="设备串口", example = "设备串口")
    @Column(name="SERIAL_PORT")
    private String serialPort;

    @ApiModelProperty(value = "设备序列号", notes ="设备序列号", example = "设备序列号")
    @Column(name="SERIAL_NUMBER")
    private String serialNumber;

    @ApiModelProperty(value = "设备mac地址", notes ="设备mac地址", example = "设备mac地址")
    @Column(name="MAC_ADDRESS")
    private String macAddress;

    @ApiModelProperty(value = "设备IPV4#<检索>", notes ="设备IPV4", example = "设备IPV4#<检索>")
    @Column(name="IPV4_ADDRESS")
    private String ipv4Address;

    @ApiModelProperty(value = "设备IPV6", notes ="设备IPV6", example = "设备IPV6")
    @Column(name="IPV6_ADDRESS")
    private String ipv6Address;

    @ApiModelProperty(value = "设备工作状态#2损坏,1离线,0未工作,1工作", notes ="设备工作状态", example = "设备工作状态")
    @Column(name="WORK_STATUS")
    private String workStatus;

    @ApiModelProperty(value = "设备工作时间", notes ="设备工作时间", example = "设备工作时间")
    @Column(name="WORK_TIME")
    private String workTime;

    @ApiModelProperty(value = "拉流地址#<非空>", notes ="拉流地址", example = "拉流地址#<非空>")
    @Column(name="PULL_URL")
    private String pullUrl;

    @ApiModelProperty(value = "推流地址#<非空>", notes ="推流地址", example = "推流地址#<非空>")
    @Column(name="PUSH_URL")
    private String pushUrl;

    @ApiModelProperty(value = "输出格式#<默认值:flv>如flv,mp4", notes ="输出格式", example = "输出格式")
    @Column(name="OUT_FORMAT")
    private String outFormat;

    @ApiModelProperty(value = "输出宽", notes ="输出宽", example = "输出宽")
    @Column(name="OUT_WIDTH")
    private String outWidth;

    @ApiModelProperty(value = "输出高", notes ="输出高", example = "输出高")
    @Column(name="OUT_HEIGHT")
    private String outHeight;

    @ApiModelProperty(value = "每秒传输帧数#<默认值:30>", notes ="每秒传输帧数", example = "0")
    @Column(name="FPS")
    private Long fps;

    @ApiModelProperty(value = "编码#如copy,H264", notes ="编码", example = "编码#如copy,H264")
    @Column(name="CODEC")
    private String codec;

    @ApiModelProperty(value = "执行命令", notes ="执行命令", example = "执行命令")
    @Column(name="COMMAND")
    private String command;

    @ApiModelProperty(value = "数据uuid值", notes ="数据uuid值", example = "数据uuid值")
    @Column(name="DATA_UUID")
    private String dataUuid;

    @ApiModelProperty(value = "数据md5值", notes ="数据md5值", example = "数据md5值")
    @Column(name="DATA_MD5")
    private String dataMd5;

    @ApiModelProperty(value = "数据时间戳#如20191210155600", notes ="数据时间戳", example = "数据时间戳")
    @Column(name="DATA_STAMP")
    private String dataStamp;

    @ApiModelProperty(value = "备用#数据类型", notes ="备用", example = "备用#数据类型")
    @Column(name="DATA_TYPE")
    private String dataType;

    @ApiModelProperty(value = "状态#(状态，1：正常，0：已作废)", notes ="状态", example = "1")
    @Column(name="STATUS")
    private Integer status;

    @ApiModelProperty(value = "创建人", notes ="创建人", example = "创建人")
    @Column(name="CREATOR")
    private String creator;

    @ApiModelProperty(value = "创建时间", notes ="创建时间", example = "2019-10-01")
    @Column(name="CREATE_DATE")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date createDate;

    public PlugDeviceListVO(){
        super();
        this.status= BaseStatusConstant.STATUS_NORMAL;
    }
}