/*
* PlugDeviceShowVO.java
* 版权所有 © 2011-2017 ??????????????
* Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
* 2019-11-20 17:05:14 created by lipenghe with LAPTOP-IJQ2SDFV
*/
package com.unis.user.common.vo.plug;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.common.constant.BaseStatusConstant;
import com.unis.common.vo.groups.InsertGroup;
import com.unis.common.vo.groups.UpdateGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.Date;

/**
 * PLUG_DEVICE-视频监控表
 * @author lipenghe at 2019-11-20 17:05:14
 */
@ApiModel(value = "PLUG_DEVICE:视频监控表-PlugDeviceShowVO")
@Data
@Table(name="PLUG_DEVICE")
public class PlugDeviceShowVO implements Serializable{

    @NotBlank(message = "设备id不能为空",groups ={UpdateGroup.class})
    @Length(max=50,message="设备id最大为50字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "设备id#<主键><唯一><非空>主键", notes ="设备id", example = "设备id#<主键><唯一><非空>主键")
    @Id
    @Column(name="DEVID",length=50)
    private String devid;

    @ApiModelProperty(value = "id#<唯一><检索>备用主键", notes ="id")
    @Column(name="ID", length=9, precision=9, scale=0)
    private Integer id;

    @Length(max=50,message="id字符串最大为50字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "id字符串#<唯一><检索>备用主键", notes ="id字符串")
    @Column(name="ID_STR", length=50)
    private String idStr;

    @Length(max=50,message="外部id字符串最大为50字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "外部id字符串#用于外部数据更新", notes ="外部id字符串", example = "外部id字符串#用于外部数据更新", hidden = true)
    @Column(name="OUT_ID", length=50)
    private String outId;

    @Length(max=50,message="外部id来源最大为50字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "外部id来源#用于外部数据更新", notes ="外部id来源", example = "外部id来源#用于外部数据更新", hidden = true)
    @Column(name="OUT_FROM", length=50)
    private String outFrom;

    @Length(max=100,message="上级单位ID最大为100字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "上级单位ID#<检索>此处是粮库ID", notes ="上级单位ID", example = "上级单位ID#<检索>此处是粮库ID", hidden = true)
    @Column(name="PARENT_ID", length=100)
    private String parentId;

    @Length(max=100,message="上级单位名最大为100字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "上级单位名#<检索>", notes ="上级单位名", example = "上级单位名#<检索>", hidden = true)
    @Column(name="PARENT_NAME", length=100)
    private String parentName;

    @NotBlank(message = "设备名称不能为空",groups ={InsertGroup.class})
    @Length(max=100,message="设备名称最大为100字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "设备名称#<非空><检索>", notes ="设备名称", example = "设备名称#<非空><检索>", hidden = true)
    @Column(name="DEV_NAME", length=100)
    private String devName;

    @Length(max=100,message="设备自身的编码最大为100字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "设备自身的编码", notes ="设备自身的编码", example = "设备自身的编码", hidden = true)
    @Column(name="DEV_CODE", length=100)
    private String devCode;

    @Length(max=100,message="设备型号最大为100字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "设备型号", notes ="设备型号", example = "设备型号", hidden = true)
    @Column(name="DEV_MODEL", length=100)
    private String devModel;

    @Length(max=100,message="设备类型最大为100字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "设备类型", notes ="设备类型", example = "设备类型", hidden = true)
    @Column(name="DEV_TYPE", length=100)
    private String devType;

    @Length(max=100,message="设备软硬件版本最大为100字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "设备软硬件版本", notes ="设备软硬件版本", example = "设备软硬件版本", hidden = true)
    @Column(name="DEV_VERSION", length=100)
    private String devVersion;

    @NotBlank(message = "设备位置不能为空",groups ={InsertGroup.class})
    @Length(max=100,message="设备位置最大为100字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "设备位置#<非空><检索>如X粮库东北角", notes ="设备位置", example = "设备位置#<非空><检索>如X粮库东北角", hidden = true)
    @Column(name="DEV_ADDRESS", length=100)
    private String devAddress;

    @Length(max=100,message="设备区域最大为100字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "设备区域", notes ="设备区域", example = "设备区域", hidden = true)
    @Column(name="DEV_AREA", length=100)
    private String devArea;

    @NotBlank(message = "设备协议不能为空",groups ={InsertGroup.class})
    @Length(max=100,message="设备协议最大为100字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "设备协议#<非空>如rtsp,file,rtmp", notes ="设备协议", example = "设备协议#<非空>如rtsp,file,rtmp", hidden = true)
    @Column(name="DEV_PROTOCOL", length=100)
    private String devProtocol;

    @Length(max=100,message="设备端口最大为100字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "设备端口#如8080", notes ="设备端口", example = "设备端口#如8080", hidden = true)
    @Column(name="DEV_PORT", length=100)
    private String devPort;

    @NotBlank(message = "设备通道不能为空",groups ={InsertGroup.class})
    @Length(max=100,message="设备通道最大为100字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "设备通道#<非空><检索>如ch55", notes ="设备通道", example = "设备通道#<非空><检索>如ch55", hidden = true)
    @Column(name="DEV_CHANNEL", length=100)
    private String devChannel;

    @Length(max=100,message="设备描述最大为100字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "设备描述", notes ="设备描述", example = "设备描述", hidden = true)
    @Column(name="DEV_DESC", length=100)
    private String devDesc;

    @Length(max=100,message="设备厂商最大为100字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "设备厂商", notes ="设备厂商", example = "设备厂商", hidden = true)
    @Column(name="DEV_PRODUCER", length=100)
    private String devProducer;

    @Length(max=100,message="设备账号最大为100字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "设备账号", notes ="设备账号", example = "设备账号", hidden = true)
    @Column(name="DEV_USERNAME", length=100)
    private String devUsername;

    @Length(max=100,message="设备密码最大为100字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "设备密码", notes ="设备密码", example = "设备密码", hidden = true)
    @Column(name="DEV_PASSWORD", length=100)
    private String devPassword;

    @Length(max=100,message="设备的可逆密码最大为100字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "设备的可逆密码", notes ="设备的可逆密码", example = "设备的可逆密码", hidden = true)
    @Column(name="DEV_REVERSE_PWD", length=100)
    private String devReversePwd;

    @ApiModelProperty(value = "设备排序", notes ="设备排序", example = "1", hidden = true)
    @Column(name="DEV_ORDER", length=5, precision=5, scale=0)
    private Integer devOrder;

    @ApiModelProperty(value = "设备投入运行时间", notes ="设备投入运行时间", example = "2019-10-01", hidden = true)
    @Column(name="APPLY_TIME")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date applyTime;

    @Length(max=100,message="设备运行时间最大为100字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "设备运行时间#如200H", notes ="设备运行时间", example = "设备运行时间#如200H", hidden = true)
    @Column(name="RUN_TIME", length=100)
    private String runTime;

    @Length(max=100,message="设备使用年限最大为100字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "设备使用年限", notes ="设备使用年限", example = "设备使用年限", hidden = true)
    @Column(name="USEFUL_LIFE", length=100)
    private String usefulLife;

    @Length(max=100,message="设备串口最大为100字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "设备串口", notes ="设备串口", example = "设备串口", hidden = true)
    @Column(name="SERIAL_PORT", length=100)
    private String serialPort;

    @Length(max=100,message="设备序列号最大为100字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "设备序列号", notes ="设备序列号", example = "设备序列号", hidden = true)
    @Column(name="SERIAL_NUMBER", length=100)
    private String serialNumber;

    @Length(max=30,message="设备mac地址最大为30字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "设备mac地址", notes ="设备mac地址", example = "设备mac地址", hidden = true)
    @Column(name="MAC_ADDRESS", length=30)
    private String macAddress;

    @Length(max=30,message="设备IPV4最大为30字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "设备IPV4#<检索>", notes ="设备IPV4", example = "设备IPV4#<检索>", hidden = true)
    @Column(name="IPV4_ADDRESS", length=30)
    private String ipv4Address;

    @Length(max=30,message="设备IPV6最大为30字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "设备IPV6", notes ="设备IPV6", example = "设备IPV6", hidden = true)
    @Column(name="IPV6_ADDRESS", length=30)
    private String ipv6Address;

    @Length(max=30,message="设备工作状态最大为30字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "设备工作状态#2损坏,1离线,0未工作,1工作", notes ="设备工作状态", example = "设备工作状态", hidden = true)
    @Column(name="WORK_STATUS", length=30)
    private String workStatus;

    @Length(max=50,message="设备工作时间最大为50字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "设备工作时间", notes ="设备工作时间", example = "设备工作时间", hidden = true)
    @Column(name="WORK_TIME", length=50)
    private String workTime;

    @NotBlank(message = "拉流地址不能为空",groups ={InsertGroup.class})
    @Length(max=300,message="拉流地址最大为300字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "拉流地址#<非空>", notes ="拉流地址", example = "拉流地址#<非空>", hidden = true)
    @Column(name="PULL_URL", length=300)
    private String pullUrl;

    @NotBlank(message = "推流地址不能为空",groups ={InsertGroup.class})
    @Length(max=300,message="推流地址最大为300字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "推流地址#<非空>", notes ="推流地址", example = "推流地址#<非空>", hidden = true)
    @Column(name="PUSH_URL", length=300)
    private String pushUrl;

    @Length(max=20,message="输出格式最大为20字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "输出格式#<默认值:flv>如flv,mp4", notes ="输出格式", example = "输出格式", hidden = true)
    @Column(name="OUT_FORMAT", length=20)
    private String outFormat;

    @Length(max=20,message="输出宽最大为20字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "输出宽", notes ="输出宽", example = "输出宽", hidden = true)
    @Column(name="OUT_WIDTH", length=20)
    private String outWidth;

    @Length(max=20,message="输出高最大为20字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "输出高", notes ="输出高", example = "输出高", hidden = true)
    @Column(name="OUT_HEIGHT", length=20)
    private String outHeight;

    @ApiModelProperty(value = "每秒传输帧数#<默认值:30>", notes ="每秒传输帧数", example = "0", hidden = true)
    @Column(name="FPS", length=20, precision=20, scale=0)
    private Long fps;

    @Length(max=30,message="编码最大为30字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "编码#如copy,H264", notes ="编码", example = "编码#如copy,H264", hidden = true)
    @Column(name="CODEC", length=30)
    private String codec;

    @Length(max=300,message="执行命令最大为300字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "执行命令", notes ="执行命令", example = "执行命令", hidden = true)
    @Column(name="COMMAND", length=300)
    private String command;

    @Length(max=32,message="数据uuid值最大为32字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "数据uuid值", notes ="数据uuid值", example = "数据uuid值", hidden = true)
    @Column(name="DATA_UUID", length=32)
    private String dataUuid;

    @Length(max=32,message="数据md5值最大为32字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "数据md5值", notes ="数据md5值", example = "数据md5值", hidden = true)
    @Column(name="DATA_MD5", length=32)
    private String dataMd5;

    @Length(max=32,message="数据时间戳最大为32字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "数据时间戳#如20191210155600", notes ="数据时间戳", example = "数据时间戳", hidden = true)
    @Column(name="DATA_STAMP", length=32)
    private String dataStamp;

    @Length(max=32,message="备用最大为32字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "备用#数据类型", notes ="备用", example = "备用#数据类型", hidden = true)
    @Column(name="DATA_TYPE", length=32)
    private String dataType;

    @ApiModelProperty(value = "状态#(状态，1：正常，0：已作废)", notes ="状态", example = "1", hidden = true)
    @Column(name="STATUS", length=5, precision=5, scale=0)
    private Integer status;

    @Length(max=32,message="创建人最大为32字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "创建人", notes ="创建人", example = "创建人", hidden = true)
    @Column(name="CREATOR", length=32)
    private String creator;

    @ApiModelProperty(value = "创建时间", notes ="创建时间", example = "2019-10-01", hidden = true)
    @Column(name="CREATE_DATE")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date createDate;

    public PlugDeviceShowVO(){
        super();
        this.status= BaseStatusConstant.STATUS_NORMAL;
    }
}