/*
* RoleVO.java
* 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
* Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
* 2020-07-06 17:12:10 created by lipenghe with LAPTOP-IJQ2SDFV
*/
package com.unis.user.common.vo.role;

import com.unis.common.vo.base.BaseVO;
import com.unis.common.vo.groups.InsertGroup;
import com.unis.common.vo.groups.UpdateGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * SYS_ROLE_INFO-角色
 * @author lipenghe at 2020-07-06 17:12:10
 */
@ApiModel(value = "SYS_ROLE_INFO:角色-RoleVO",description="A")
@Data
@Table(name="SYS_ROLE_INFO")
public class RoleVO extends BaseVO implements Serializable{

    @NotBlank(message = "角色编号不能为空",groups ={UpdateGroup.class})
    @Length(max=255,message="角色编号最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "角色编号#<主键><唯一><非空>R+0000001", notes ="角色编号", example = "角色编号#<主键><唯一><非空>R+0000001")
    @Id
    @Column(name="ROLE_CODE",length=255, columnDefinition = "VARCHAR")
    private String roleCode;

    @ApiModelProperty(value = "无字段注释 ", notes ="无字段注释 ", example = "0")
    @Column(name="STATE_CODE", length=10, precision=10, scale=0, columnDefinition = "DECIMAL")
    private Long stateCode;

    @ApiModelProperty(value = "无字段注释 ", notes ="无字段注释 ", example = "0")
    @Column(name="VERSION", length=10, precision=10, scale=0, columnDefinition = "DECIMAL")
    private Long version;

    @Length(max=255,message="角色简介最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "角色简介", notes ="角色简介", example = "角色简介")
    @Column(name="BREIF", length=255, columnDefinition = "VARCHAR")
    private String breif;

    @ApiModelProperty(value = "排序", notes ="排序", example = "0")
    @Column(name="ORDER_BY", length=10, precision=10, scale=0, columnDefinition = "DECIMAL")
    private Long orderBy;

    @Length(max=255,message="角色名称最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "角色名称", notes ="角色名称", example = "角色名称")
    @Column(name="ROLE_NAME", length=255, columnDefinition = "VARCHAR")
    private String roleName;

    @Length(max=255,message="角色类型最大为255字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "角色类型#10280001：菜单资源角色；10280002：数据资源角色；10280003：其他资源角色", notes ="角色类型", example = "角色类型#10280001：菜单资源角色；10280002：数据资源角色；10280003：其他资源角色")
    @Column(name="ROLE_TYPE", length=255, columnDefinition = "VARCHAR")
    private String roleType;

    public RoleVO(){
        super();
    }
}