/*
* UserRoleReletedListVO.java
* 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
* Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
* 2020-07-06 17:58:03 created by lipenghe with LAPTOP-IJQ2SDFV
*/
package com.unis.user.common.vo.role;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * SYS_USER_ROLE_RELATED-角色关联
 * @author lipenghe at 2020-07-06 17:58:03
 */
@ApiModel(value = "SYS_USER_ROLE_RELATED:角色关联-UserRoleReletedListVO")
@Data
@Table(name="SYS_USER_ROLE_RELATED")
public class UserRoleReletedListVO implements Serializable{

    @ApiModelProperty(value = "角色关联表主键#<主键><唯一><非空>", notes ="角色关联表主键", example = "0")
    @Id
    @Column(name="ROLE_RELATED_ID")
    private Long roleRelatedId;

    @ApiModelProperty(value = "id#<唯一>备用主键", notes ="id", example = "1")
    @Column(name="ID")
    private Integer id;

    @ApiModelProperty(value = "id字符串#<唯一>备用主键", notes ="id字符串", example = "id字符串#<唯一>备用主键")
    @Column(name="ID_STR")
    private String idStr;

    @ApiModelProperty(value = "外部id字符串#用于外部数据更新", notes ="外部id字符串", example = "外部id字符串#用于外部数据更新")
    @Column(name="OUT_ID")
    private String outId;

    @ApiModelProperty(value = "外部id来源#用于外部数据更新", notes ="外部id来源", example = "外部id来源#用于外部数据更新")
    @Column(name="OUT_FROM")
    private String outFrom;

    @ApiModelProperty(value = "上级ID#此处无用", notes ="上级ID", example = "上级ID#此处无用")
    @Column(name="PARENT_ID")
    private String parentId;

    @ApiModelProperty(value = "原始角色id", notes ="原始角色id", example = "原始角色id")
    @Column(name="ROLE_ID")
    private String roleId;

    @ApiModelProperty(value = "被授予权限的角色id集合以#开始以,结束", notes ="被授予权限的角色id集合以", example = "被授予权限的角色id集合以#开始以,结束")
    @Column(name="RELATED_ROLE_IDS")
    private String relatedRoleIds;

    @ApiModelProperty(value = "排序", notes ="排序", example = "1")
    @Column(name="DATA_ORDER")
    private Integer dataOrder;

    @ApiModelProperty(value = "数据版本号#每次更新递增1", notes ="数据版本号", example = "数据版本号")
    @Column(name="VERSION")
    private String version;

    @ApiModelProperty(value = "数据uuid值", notes ="数据uuid值", example = "数据uuid值")
    @Column(name="DATA_UUID")
    private String dataUuid;

    @ApiModelProperty(value = "数据md5值", notes ="数据md5值", example = "数据md5值")
    @Column(name="DATA_MD5")
    private String dataMd5;

    @ApiModelProperty(value = "数据时间戳#如20191210155600", notes ="数据时间戳", example = "数据时间戳")
    @Column(name="DATA_STAMP")
    private String dataStamp;

    @ApiModelProperty(value = "备用#数据类型", notes ="备用", example = "备用#数据类型")
    @Column(name="DATA_TYPE")
    private String dataType;

    @ApiModelProperty(value = "创建人", notes ="创建人", example = "创建人")
    @Column(name="CREATOR")
    private String creator;

    @ApiModelProperty(value = "创建时间", notes ="创建时间", example = "2019-10-01")
    @Column(name="CREATE_DATE")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date createDate;

    public UserRoleReletedListVO(){
        super();
    }
}