/*
* UserRoleReletedVO.java
* 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
* Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
* 2020-07-06 17:58:03 created by lipenghe with LAPTOP-IJQ2SDFV
*/
package com.unis.user.common.vo.role;

import com.unis.common.vo.base.BaseVO;
import com.unis.common.vo.groups.InsertGroup;
import com.unis.common.vo.groups.UpdateGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * SYS_USER_ROLE_RELATED-角色关联
 * @author lipenghe at 2020-07-06 17:58:03
 */
@ApiModel(value = "SYS_USER_ROLE_RELATED:角色关联-UserRoleReletedVO",description="A")
@Data
@Table(name="SYS_USER_ROLE_RELATED")
public class UserRoleReletedVO extends BaseVO implements Serializable{

    @NotNull(message = "角色关联表主键不能为空",groups ={UpdateGroup.class})
    @ApiModelProperty(value = "角色关联表主键#<主键><唯一><非空>", notes ="角色关联表主键", example = "0")
    @Id
    @Column(name="ROLE_RELATED_ID",length=20,precision=20,scale=0, columnDefinition = "DECIMAL")
    private Long roleRelatedId;

    @ApiModelProperty(value = "id#<唯一>备用主键", notes ="id", example = "1")
    @Column(name="ID", length=10, precision=10, scale=0, columnDefinition = "INTEGER")
    private Integer id;

    @Length(max=50,message="id字符串最大为50字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "id字符串#<唯一>备用主键", notes ="id字符串", example = "id字符串#<唯一>备用主键")
    @Column(name="ID_STR", length=50, columnDefinition = "VARCHAR")
    private String idStr;

    @Length(max=50,message="外部id字符串最大为50字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "外部id字符串#用于外部数据更新", notes ="外部id字符串", example = "外部id字符串#用于外部数据更新")
    @Column(name="OUT_ID", length=50, columnDefinition = "VARCHAR")
    private String outId;

    @Length(max=50,message="外部id来源最大为50字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "外部id来源#用于外部数据更新", notes ="外部id来源", example = "外部id来源#用于外部数据更新")
    @Column(name="OUT_FROM", length=50, columnDefinition = "VARCHAR")
    private String outFrom;

    @Length(max=100,message="上级ID最大为100字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "上级ID#此处无用", notes ="上级ID", example = "上级ID#此处无用")
    @Column(name="PARENT_ID", length=100, columnDefinition = "VARCHAR")
    private String parentId;

    @Length(max=100,message="原始角色id最大为100字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "原始角色id", notes ="原始角色id", example = "原始角色id")
    @Column(name="ROLE_ID", length=100, columnDefinition = "VARCHAR")
    private String roleId;

    //数据库类型:LONGVARCHAR,长度:1000
    @ApiModelProperty(value = "被授予权限的角色id集合以#开始以,结束", notes ="被授予权限的角色id集合以", example = "被授予权限的角色id集合以#开始以,结束")
    @Column(name="RELATED_ROLE_IDS", columnDefinition = "LONGVARCHAR")
    private String relatedRoleIds;

    @ApiModelProperty(value = "排序", notes ="排序", example = "1")
    @Column(name="DATA_ORDER", length=10, precision=10, scale=0, columnDefinition = "INTEGER")
    private Integer dataOrder;

    @Length(max=32,message="数据版本号最大为32字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "数据版本号#每次更新递增1", notes ="数据版本号", example = "数据版本号")
    @Column(name="VERSION", length=32, columnDefinition = "VARCHAR")
    private String version;

    @Length(max=32,message="数据uuid值最大为32字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "数据uuid值", notes ="数据uuid值", example = "数据uuid值")
    @Column(name="DATA_UUID", length=32, columnDefinition = "VARCHAR")
    private String dataUuid;

    @Length(max=32,message="数据md5值最大为32字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "数据md5值", notes ="数据md5值", example = "数据md5值")
    @Column(name="DATA_MD5", length=32, columnDefinition = "VARCHAR")
    private String dataMd5;

    @Length(max=32,message="数据时间戳最大为32字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "数据时间戳#如20191210155600", notes ="数据时间戳", example = "数据时间戳")
    @Column(name="DATA_STAMP", length=32, columnDefinition = "VARCHAR")
    private String dataStamp;

    @Length(max=32,message="备用最大为32字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "备用#数据类型", notes ="备用", example = "备用#数据类型")
    @Column(name="DATA_TYPE", length=32, columnDefinition = "VARCHAR")
    private String dataType;

    public UserRoleReletedVO(){
        super();
    }

    @ApiModelProperty(value = "角色id集合")
    private List<String> roleIdList;
}