package com.unis.user.server.common.beforeconfig;

import lombok.Getter;
import lombok.Setter;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * TODO description：读取统一资源配置中心的初始化数据。
 *
 * @author bing.li
 * @version v1.0
 * @date 2018-07-12 18:02
 */
@Getter
@Setter
@ConfigurationProperties
@Component
public class GetDataConfig {
    /**
     * 后台管理系统log
     */
    @Value("platformname")
    private String platformname;
    /**
     * 门户log
     */
    @Value("logname")
    private String logname;
    /**
     * 组织机构根目录数据初始化
     */
    @Value("unitname")
    private String unitname;
    /**
     * 单位下的部门数据初始化
     */
    @Value("department")
    private String department;
    /**
     * 平台标题 数据为 v1,v2,v3,...;请使用数组进行业务编写 初始化。
     */
    @Value("headline")
    private String headline;
    /**
     * 发布版本标识 初始化
     */
    @Value("publish")
    private String publish;
    /**
     * 版权所属
     */
    @Value("copyright")
    private String copyright;

    @Value("${province}")
    private String province;

    @Value("${system}")
    private String system;

    /**
     * 接收excel分组数据
     */
    private List <Map <String, String>> groups = new ArrayList <>();
}
