package com.unis.user.server.common.dataconfig;

import org.springframework.boot.web.servlet.MultipartConfigFactory;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import javax.servlet.MultipartConfigElement;

/**
 * 功能描述：springboot里默认使用tomcat的上传文件大小限制，即1MB
 *
 * @author 李兵
 * @data 2017年09月19日
 * @time 11时10分
 */
@Configuration
public class MultipartConfigs {
    @Bean
    public MultipartConfigElement multipartConfigElement() {
        MultipartConfigFactory factory = new MultipartConfigFactory();
        factory.setMaxFileSize( "10MB" );
        factory.setMaxRequestSize( "10MB" );
        return factory.createMultipartConfig();
    }
}
