package com.unis.user.server.common.restconfig;

import com.unis.user.server.untils.ResponseWrapper;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cloud.client.ServiceInstance;
import org.springframework.cloud.client.loadbalancer.LoadBalancerClient;
import org.springframework.stereotype.Component;
import org.springframework.web.client.RestTemplate;


/**
 * TODO description：
 *
 * @author bing.li
 * @version v1.0
 * @date 2018-08-13 14:42
 */
@Component
@Log4j2
public class CompanyServer {

    @Autowired
    private RestTemplate restTemplate;

    @Autowired
    private LoadBalancerClient loadBalancerClient;

    /**
     * TODO serviceId eureka注册的服务名
     */
    private String serviceId = "company";


    /**
     * TODO 可以进行负载均衡，该服务是从eureka中拿到redis服务工程实例。
     *
     * @return url
     */
    private synchronized String getUrl() {
        ServiceInstance serviceInstance = loadBalancerClient.choose(serviceId);
        String url = String.format("http://%s:%s", serviceInstance.getHost(), serviceInstance.getPort());
        log.info("调用地址{ }", url);
        return url;
    }


    /**
     * 根据企业IDS获取企业信息
     *
     * @param id
     * @return
     */
    public ResponseWrapper checkStatusById(Long id) throws Exception {
        return restTemplate.getForObject(this.getUrl() + "/company/checkStatusById?id={1}", ResponseWrapper.class,id);
    }

}

