package com.unis.user.server.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.unis.user.server.server.CommDaoService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;

@RestController
@RequestMapping("/common")
@Slf4j
@Api(tags = "统一id编码接口")
public class CommonCodeController {

	@Autowired
	private CommDaoService commDaoService;

	/**
	 * @param table
	 * @param field
	 * @param point
	 * @param storeId
	 * @return根据表名，字段名，节点，库id获取编码
	 */
	@ApiOperation(value="查询统一id", notes = "表名，字段名，生成点，库id")
	@GetMapping("/code/{table}/{field}/{point}/{storeId}")
	public String code(String table,String field,String point,String storeId) {
		if(storeId.length()<5) {
			storeId = commDaoService.numberToFive(storeId);
		}
		return commDaoService.selectMaxCode(table, field, point+storeId);
	}
}
