/*
package com.unis.user.server.controller;

import com.unis.user.server.dto.UserFunctionDTO;
import com.unis.user.server.server.CommonFuctionServer;
import com.unis.user.server.untils.ResponseWrapper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/function")
@Slf4j
@Api(tags = "常用功能处理层")
public class CommonFunctionController {

	@Autowired
	private CommonFuctionServer commonFuctionServer;


	@ApiOperation(value = "查询当前用户常用功能", notes = "")
	@GetMapping(value = "/findByToken")
	public ResponseWrapper findByToken() {
		try {
			return ResponseWrapper.success(200, "查询成功", commonFuctionServer.findByToken());
		} catch (Exception e) {
			log.error("查询信息，发生异常", e);
			return ResponseWrapper.error(500, "查询失败");
		}
	}

	@ApiOperation(value = "保存当前用户常用功能", notes = "List<UserFunctionDTO>")
	@PostMapping(value = "/save")
	public ResponseWrapper save(@RequestBody List<UserFunctionDTO> list) {
		try {
			commonFuctionServer.save(list);
			return ResponseWrapper.success(200, "保存成功");
		} catch (Exception e) {
			log.error("查询信息，发生异常", e);
			return ResponseWrapper.error(500, "保存失败");
		}
	}
}
*/
