package com.unis.user.server.controller;

import com.unis.common.base.BaseController;
import com.unis.common.utils.ResponseWrapper;

import com.unis.user.server.common.beforeconfig.GetDataConfig;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Map;

/**
 * TODO description：符号标题，用于页面展示出来的log 平台信息的文字。数据重配置文件中获取。
 *
 * @author bing.li
 * @version v1.0
 * @date 2018-09-19 10:59
 */
@RestController
@RequestMapping("/symbol")
@Slf4j
@SuppressWarnings("all")
@Api(tags = "符号处理层")
public class SymbolController extends BaseController {
    @Autowired
    GetDataConfig config;


    @ApiOperation(value = "获取后台管理系统log", notes = "参数：无")
    @GetMapping("/getPlatformname")
    public String getPlatformname() {
        return config.getPlatformname();
    }

    @ApiOperation(value = "获取门户log", notes = "参数：无")
    @GetMapping("/getLogname")
    public String getLogname() {
        return config.getLogname();
    }

    @ApiOperation(value = "获取版权所属", notes = "参数：无")
    @GetMapping("/getCopyright")
    public String getCopyright() {
        return config.getCopyright();
    }

    @ApiOperation(value = "获取单位名称", notes = "参数：无")
    @GetMapping("/getUnitname")
    public String getUnitname() {
        return config.getUnitname();
    }

    /**
     *
     * @Description: 获取省份基本信息
     *
     * @date 2018年7月26日,下午5:53:42
     * @author tiechanglong
     * @version v1.0
     *
     * @return
     */
    @ApiOperation(value="获取省份信息",notes="参数：无参")
    @GetMapping("/getProvince")
    public ResponseWrapper getProvince(){
        Map<String, String> map = new HashMap<String, String>();
        map.put("province", config.getProvince());
        map.put("system", config.getSystem());
        return ResponseWrapper.success(map);
    }
}
