/*
 * OrgainzeDao.java
 * 版权所有 © 2011-2017 ??????????????
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2019-11-20 20:51:22 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.user.server.dao;

import com.github.pagehelper.Page;
import com.unis.user.common.vo.org.OrgainzeVO;
import com.unis.user.server.entity.org.OrgainzeDO;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * SYS_ORGAINZE-
 * @author lipenghe at 2019-11-20 20:51:22
 */
public interface OrgainzeDao extends Mapper<OrgainzeDO> {
    /**
     * <SYS_ORGAINZE->更改数据状态
     * @param entity    <>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateStatusByEntity(OrgainzeDO entity);

    /**
     * <SYS_ORGAINZE->根据实体更新单条或者多条数据(会覆盖数据库默认值)
     * @param entity    <>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateByEntity(OrgainzeDO entity);

    /**
     * <SYS_ORGAINZE->根据实体更新单条或者多条数据,只更新非空的属性对应的字段
     * @param entity    <>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateByEntitySelective(OrgainzeDO entity);

    /**
     * <SYS_ORGAINZE->根据实体单条或者批量删除
     * @param orgainzeVO    <>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteByEntity(OrgainzeVO orgainzeVO);

    /**
     * <SYS_ORGAINZE->根据实体单条或者批量删除
     * @param entity    <>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteByEntity(OrgainzeDO entity);

    /**
     * <SYS_ORGAINZE->根据实体假删除,根据实体属性单条
     *      或批量删除只是改变了状态不在页面显示,数据仍存在
     * @param orgainzeVO    <>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteShamByEntity(OrgainzeVO orgainzeVO);

    /**
     * <SYS_ORGAINZE->根据实体查询数量
     * @param orgainzeVO    <>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int selectCountByEntity(OrgainzeVO orgainzeVO);

    /**
     * <SYS_ORGAINZE->根据实体(唯一标示)查询一条数据
     * @param orgainzeVO    <>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    OrgainzeVO selectById(OrgainzeVO orgainzeVO);

    /**
    * <SYS_ORGAINZE->根据实体(唯一标示)查询一条数据
    * @param entity    <>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    OrgainzeVO selectById(OrgainzeDO entity);

    /**
     * <SYS_ORGAINZE->根据实体查询分页列表
     * @param orgainzeVO    <>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    Page<OrgainzeVO> selectPageByEntity(OrgainzeVO orgainzeVO);

    /**
     * <SYS_ORGAINZE->根据实体查询列表
     * @param orgainzeVO    <>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    List<OrgainzeVO> selectByEntity(OrgainzeVO orgainzeVO);

    /**
     * <SYS_ORGAINZE->根据实体树形结构
     * @param orgainzeVO    <>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    List<OrgainzeVO> selectTreeByEntity(OrgainzeVO orgainzeVO);

    /**
     * <SYS_ORGAINZE->根据实体查询列表
     * @param entity     <>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    List<OrgainzeVO> selectByEntity(OrgainzeDO entity);
}