/*
 * PlugDeviceDao.java
 * 版权所有 © 2011-2017 ??????????????
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2019-11-20 15:14:20 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.user.server.dao;

import com.github.pagehelper.Page;
import com.unis.user.common.vo.plug.PlugDeviceVO;
import com.unis.user.server.entity.plug.PlugDeviceDO;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * PLUG_DEVICE-视频监控表
 * @author lipenghe at 2019-11-20 15:14:20
 */
public interface PlugDeviceDao extends Mapper<PlugDeviceDO> {
    /**
     * <PLUG_DEVICE-视频监控表>更改数据状态
     * @param entity    <视频监控表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateStatusByEntity(PlugDeviceDO entity);

    /**
     * <PLUG_DEVICE-视频监控表>根据实体更新单条或者多条数据(会覆盖数据库默认值)
     * @param entity    <视频监控表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateByEntity(PlugDeviceDO entity);

    /**
     * <PLUG_DEVICE-视频监控表>根据实体更新单条或者多条数据,只更新非空的属性对应的字段
     * @param entity    <视频监控表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateByEntitySelective(PlugDeviceDO entity);

    /**
     * <PLUG_DEVICE-视频监控表>根据实体单条或者批量删除
     * @param plugDeviceVO    <视频监控表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteByEntity(PlugDeviceVO plugDeviceVO);

    /**
     * <PLUG_DEVICE-视频监控表>根据实体单条或者批量删除
     * @param entity    <视频监控表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteByEntity(PlugDeviceDO entity);

    /**
     * <PLUG_DEVICE-视频监控表>根据实体假删除,根据实体属性单条
     *      或批量删除只是改变了状态不在页面显示,数据仍存在
     * @param plugDeviceVO    <视频监控表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteShamByEntity(PlugDeviceVO plugDeviceVO);

    /**
     * <PLUG_DEVICE-视频监控表>根据实体查询数量
     * @param plugDeviceVO    <视频监控表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int selectCountByEntity(PlugDeviceVO plugDeviceVO);

    /**
     * <PLUG_DEVICE-视频监控表>根据实体(唯一标示)查询一条数据
     * @param plugDeviceVO    <视频监控表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    PlugDeviceVO selectById(PlugDeviceVO plugDeviceVO);

    /**
    * <PLUG_DEVICE-视频监控表>根据实体(唯一标示)查询一条数据
    * @param entity    <视频监控表>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    PlugDeviceVO selectById(PlugDeviceDO entity);

    /**
     * <PLUG_DEVICE-视频监控表>根据实体查询分页列表
     * @param plugDeviceVO    <视频监控表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    Page<PlugDeviceVO> selectPageByEntity(PlugDeviceVO plugDeviceVO);

    /**
     * <PLUG_DEVICE-视频监控表>根据实体查询列表
     * @param plugDeviceVO    <视频监控表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    List<PlugDeviceVO> selectByEntity(PlugDeviceVO plugDeviceVO);

    /**
     * <PLUG_DEVICE-视频监控表>根据实体查询列表
     * @param entity     <视频监控表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    List<PlugDeviceVO> selectByEntity(PlugDeviceDO entity);
}