/*
 * RoleDao.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2020-07-06 17:12:10 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.user.server.dao;

import com.github.pagehelper.Page;
import com.unis.user.common.vo.role.RoleVO;
import com.unis.user.server.dto.RoleInfoDTO;
import com.unis.user.server.entity.role.RoleDO;
import com.unis.user.server.model.RoleInfoVO;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * SYS_ROLE_INFO-角色
 * @author lipenghe at 2020-07-06 17:12:10
 */
public interface RoleDao extends Mapper<RoleDO> {
    /**
     * <SYS_ROLE_INFO-角色>更改状态
     * @param entity    <角色>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateStatusByEntity(RoleDO entity);

    /**
     * <SYS_ROLE_INFO-角色>根据实体某些属性更新全部字段,会覆盖数据库默认值)
     * @param entity    <角色>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateByEntity(RoleDO entity);

    /**
     * <SYS_ROLE_INFO-角色>根据实体不为空的属性,选择性更新字段,只更新非空的属性对应的字段
     * @param entity    <角色>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateByEntitySelective(RoleDO entity);

    /**
     * <SYS_ROLE_INFO-角色>[真删除]根据实体的某些属性进行单条或者批量删除
     * @param roleVO    <角色>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteByEntity(RoleVO roleVO);

    /**
     * <SYS_ROLE_INFO-角色>[真删除]根据实体的某些属性进行单条或者批量删除
     * @param entity    <角色>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteByEntity(RoleDO entity);

    /**
     * <SYS_ROLE_INFO-角色>[假删除]根据实体的某些属性进行单条或者批量删除,根据实体属性单条
     *      或批量删除只是改变了状态不在页面显示,数据仍存在
     * @param roleVO    <角色>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteShamByEntity(RoleVO roleVO);

    /**
     * <SYS_ROLE_INFO-角色>根据实体的某些属性查询数量
     * @param roleVO    <角色>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int selectCountByEntity(RoleVO roleVO);

    /**
     * <SYS_ROLE_INFO-角色>根据实体的业务唯一属性(且非指定主键数据)判断是否存在
     * @param roleVO    <角色>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int selectExistsByEntity(RoleVO roleVO);

    /**
     * <SYS_ROLE_INFO-角色>根据实体(唯一标示)查询一条数据
     * @param roleVO    <角色>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    RoleVO selectById(RoleVO roleVO);

    /**
    * <SYS_ROLE_INFO-角色>根据实体(唯一标示)查询一条数据
    * @param entity    <角色>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    RoleVO selectById(RoleDO entity);

    /**
     * <SYS_ROLE_INFO-角色>根据实体的某些属性查询分页数据
     * @param roleVO    <角色>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    /*Page<RoleVO> selectPageByEntity(RoleVO roleVO);*/


    /**
     * <SYS_ROLE_INFO-角色>根据实体的某些属性查询分页数据
     * @param roleInfoVO    <角色>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    Page<RoleInfoVO> selectPageByEntity(RoleInfoVO roleInfoVO);

    /**
     * <SYS_ROLE_INFO-角色>根据实体的某些属性查询列表
     * @param roleInfoVO    <角色>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    List<RoleInfoVO> selectByEntity(RoleInfoVO roleInfoVO);

    /**
    * <SYS_ROLE_INFO-角色>根据实体的某些属性查询列表
    * @param entity     <角色>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    List<RoleInfoVO> selectByEntity(RoleDO entity);
}