/*
 * UserRoleReletedDao.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2020-07-06 15:41:41 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.user.server.dao;

import com.github.pagehelper.Page;
import com.unis.user.common.vo.role.UserRoleReletedVO;
import com.unis.user.server.entity.role.UserRoleReletedDO;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * SYS_USER_ROLE_RELATED-角色关联
 * @author lipenghe at 2020-07-06 15:41:41
 */
public interface UserRoleReletedDao extends Mapper<UserRoleReletedDO> {
    /**
     * <SYS_USER_ROLE_RELATED-角色关联>更改状态
     * @param entity    <角色关联>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateStatusByEntity(UserRoleReletedDO entity);

    /**
     * <SYS_USER_ROLE_RELATED-角色关联>根据实体某些属性更新全部字段,会覆盖数据库默认值)
     * @param entity    <角色关联>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateByEntity(UserRoleReletedDO entity);

    /**
     * <SYS_USER_ROLE_RELATED-角色关联>根据实体不为空的属性,选择性更新字段,只更新非空的属性对应的字段
     * @param entity    <角色关联>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateByEntitySelective(UserRoleReletedDO entity);

    /**
     * <SYS_USER_ROLE_RELATED-角色关联>[真删除]根据实体的某些属性进行单条或者批量删除
     * @param roleReletedVO    <角色关联>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteByEntity(UserRoleReletedVO roleReletedVO);

    /**
     * <SYS_USER_ROLE_RELATED-角色关联>[真删除]根据实体的某些属性进行单条或者批量删除
     * @param entity    <角色关联>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteByEntity(UserRoleReletedDO entity);

    /**
     * <SYS_USER_ROLE_RELATED-角色关联>[假删除]根据实体的某些属性进行单条或者批量删除,根据实体属性单条
     *      或批量删除只是改变了状态不在页面显示,数据仍存在
     * @param roleReletedVO    <角色关联>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteShamByEntity(UserRoleReletedVO roleReletedVO);

    /**
     * <SYS_USER_ROLE_RELATED-角色关联>根据实体的某些属性查询数量
     * @param roleReletedVO    <角色关联>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int selectCountByEntity(UserRoleReletedVO roleReletedVO);

    /**
     * <SYS_USER_ROLE_RELATED-角色关联>根据实体的业务唯一属性(且非指定主键数据)判断是否存在
     * @param roleReletedVO    <角色关联>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int selectExistsByEntity(UserRoleReletedVO roleReletedVO);

    /**
     * <SYS_USER_ROLE_RELATED-角色关联>根据实体(唯一标示)查询一条数据
     * @param roleReletedVO    <角色关联>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    UserRoleReletedVO selectById(UserRoleReletedVO roleReletedVO);

    /**
    * <SYS_USER_ROLE_RELATED-角色关联>根据实体(唯一标示)查询一条数据
    * @param entity    <角色关联>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    UserRoleReletedVO selectById(UserRoleReletedDO entity);

    /**
     * <SYS_USER_ROLE_RELATED-角色关联>根据实体的某些属性查询分页数据
     * @param roleReletedVO    <角色关联>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    Page<UserRoleReletedVO> selectPageByEntity(UserRoleReletedVO roleReletedVO);

    /**
     * <SYS_USER_ROLE_RELATED-角色关联>根据实体的某些属性查询列表
     * @param roleReletedVO    <角色关联>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    List<UserRoleReletedVO> selectByEntity(UserRoleReletedVO roleReletedVO);

    /**
    * <SYS_USER_ROLE_RELATED-角色关联>根据实体的某些属性查询列表
    * @param entity     <角色关联>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    List<UserRoleReletedVO> selectByEntity(UserRoleReletedDO entity);
}