package com.unis.user.server.dto;

import com.unis.user.server.model.BaseEntity;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 功能描述：部门实体类
 */
@Data
public class DepartmentDTO{

    //部门编号（DP）  在父节点上增加3位流水序号  如北京分公司 DP + 001 = DP001
    private String deptCode;

    //部门名称
    private String deptName;

    //父节点
    private String parentCode;

    //部门类型 10330001：直属部门；10330002：临时部门；10330003：虚拟部门
    private String deptType;

    //所属机构编码
    private String orgCode;

    //所属区域编码
    private String countyCode;

    //联系人
    private String contactMan;

    //联系地址
    private String deptAddress;

    //电子邮箱
    private String deptEmail;

    //邮编
    private String deptPost;

    //联系电话
    private String deptPhone;

    //联系手机
    private String deptMobile;

    //传真
    private String deptFax;

    //经度
    private Float longitude;

    //纬度
    private Float latitude;

    //简介
    private String breif;

    //排序
    private Integer orderBy;
}
