package com.unis.user.server.dto;

import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Entity;
import javax.persistence.Transient;
import java.util.List;

/**
 * 功能描述：组织机构实体类
 *
 * @author 李兵
 * @data 2017年11月27日
 * @time 16时46分
 */
@Data
public class DepartmentVO {
	
	/** ID */
    private String id;
    
    /** 名称 */
    private String name;
    
    /** 排序 */
    private Integer orders;
    
    /** 上级节点id */
    private String parentId;
    
    /** 上级节点名称 */
    private String parentName;
    
    /** 是否为根节点 0 代表是， 1代表否 */
    private Integer root;
    
    /** 是否有效（有效 ,无效) */
    private String valid;
    
    /** 部门类型 单位 部门 */
    private String type;
    
    /** 部门类型码 0 是单位 1是部门 */
    private Integer typeCode;

    /**行政区划代码*/
    private String areaCode;

    @Transient
    private List ChildMenus = null;
}
