package com.unis.user.server.dto;


import com.unis.common.utils.vo.UserDTO;
import com.unis.user.server.model.BaseEntity;
import com.unis.user.server.model.TzQylxVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author huangxing
 * @version 1.0
 * @Title DCfxxsjyDO
 * @ProjectName 企业信息实体
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */

@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel(value="交易注册信息")
public class TransactionDTO{




	@ApiModelProperty(value="id",required = true)
	private String id;

	/**
	 * 企业名称
	 */
	@ApiModelProperty(value="企业名称",required = true)
	private String qymc;


	/**
	 * 统一社会信用代码
	 */
	@ApiModelProperty(value="统一社会信用代码",required = true)
	private String tyshxydm;



	/**
	 * 纳税等级
	 */
	@ApiModelProperty(value="纳税等级",required = true)
	private String nsdj;


	/**
	 * 纳税等级名称
	 */
	@ApiModelProperty(value="纳税等级名称",required = true)
	private String nsdjmc;

	/**
	 * 开户银行帐号
	 */
	@ApiModelProperty(value="开户银行帐号",required = true)
	private String yhzh;

	/**
	 * 单位代码
	 */
	@ApiModelProperty(value="单位代码")
	private String dwdm;
	

	/**
	 * 法定代表人
	 */
	@ApiModelProperty(value="法定代表人")
	private String fddbr;
	
	/**
	 * 联系方式
	 */
	@ApiModelProperty(value="联系方式")
	private String lxfs;

	
	/**
	 * 企业电子邮箱
	 */
	@ApiModelProperty(value="企业电子邮箱")
	private String qydzyx;


	/**
	 * 企业通讯地址
	 */
	@ApiModelProperty(value="企业详细地址")
	private String qytxdz;
	
	/**
	 * 企业邮编
	 */
	@ApiModelProperty(value="企业邮编")
	private Integer qyyb;

	
	/**
	 * 企业机构代码
	 */
	@ApiModelProperty(value="企业机构代码")
	private String qyjgdm;

	/**
	 * 企业状态
	 */
	@ApiModelProperty(value = "企业状态(0、审批中。 1，审核通过 2驳回 )")
	private Integer qyzt;

	/**
	 * 企业联系人
	 */
	@ApiModelProperty(value="企业联系人")
	private String qylxr;

	/**
	 * 短信验证码
	 */
	@ApiModelProperty(value = "短信验证码")
	private String  dxyzm;

	/**
	 * 备注
	 */
	@ApiModelProperty(value = "备注")
	private String  bz;

	@ApiModelProperty(value = "地区code", notes ="地区code", required = false)
	private String areaCode;

	@ApiModelProperty(value = "地区名称", notes ="地区名称", required = false)
	private String areaName;

	/**
	 * 审核意见
	 */
	@ApiModelProperty(value = "审核意见")
	private String  shyj;

	/**
	 * 注册日期
	 */
	@ApiModelProperty(value = "注册日期")
	private String zcrq;

	/**
	 * 注册日期
	 */
	@ApiModelProperty(value = "注册日期")
	private String zcksrq;

	/**
	 * 注册日期
	 */
	@ApiModelProperty(value = "注册日期")
	private String zcjsrq;

	@ApiModelProperty(value = "用户信息", notes ="用户信息", required = false)
	private UserDTO userDTO;

	@ApiModelProperty(value = "组织机构", notes ="组织机构", required = false)
	private OrgainzeDTO orgainzeDTO;

	/**
	 * 用户编码
	 */
	@ApiModelProperty(value = "用户编码", notes ="用户编码", required = false)
	private String userCode;
}
