/*
 * RoleDO.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyrightq
 * 2020-07-06 17:12:11 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.user.server.entity.role;

import com.unis.common.entity.base.BaseDO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * SYS_ROLE_INFO
 * @author lipenghe with LAPTOP-IJQ2SDFV at 2020-07-06 17:12:11
 */
@ApiModel(value = "SYS_ROLE_INFO:角色")
@Data
@Table(name="SYS_ROLE_INFO")
public class RoleDO extends BaseDO {
    @ApiModelProperty(value = "角色编号#<主键><唯一><非空>R+0000001", notes ="角色编号")
    @Id
    @Column(name="ROLE_CODE")
    private String roleCode;

    @ApiModelProperty(value = "无字段注释 ", notes ="无字段注释 ")
    @Column(name="STATE_CODE")
    private Long stateCode;

    @ApiModelProperty(value = "无字段注释 ", notes ="无字段注释 ")
    @Column(name="VERSION")
    private Long version;

    @ApiModelProperty(value = "角色简介", notes ="角色简介")
    @Column(name="BREIF")
    private String breif;

    @ApiModelProperty(value = "排序", notes ="排序")
    @Column(name="ORDER_BY")
    private Long orderBy;

    @ApiModelProperty(value = "角色名称", notes ="角色名称")
    @Column(name="ROLE_NAME")
    private String roleName;


    @ApiModelProperty(value = "所属模块编码", notes ="所属模块编码")
    @Column(name="SSMK_CODE")
    private String ssmkCode;


    @ApiModelProperty(value = "所属模块名称", notes ="所属模块名称")
    @Column(name="SSMK_NAME")
    private String ssmkName;


    @ApiModelProperty(value = "所属单位类型编码", notes ="所属单位类型编码")
    @Column(name="SSDW_CODE")
    private String ssdwCode;


    @ApiModelProperty(value = "所属单位类型名称", notes ="所属单位类型名称")
    @Column(name="SSDW_NAME")
    private String ssdwName;



    @ApiModelProperty(value = "角色类型#10280001：菜单资源角色；10280002：数据资源角色；10280003：其他资源角色", notes ="角色类型")
    @Column(name="ROLE_TYPE")
    private String roleType;

    public RoleDO() {
        super();
    }
}