/*
 * UserRoleReletedDO.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2020-07-06 17:58:04 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.user.server.entity.role;

import com.unis.common.entity.base.BaseDO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * SYS_USER_ROLE_RELATED
 * @author lipenghe with LAPTOP-IJQ2SDFV at 2020-07-06 17:58:04
 */
@ApiModel(value = "SYS_USER_ROLE_RELATED:角色关联")
@Data
@Table(name="SYS_USER_ROLE_RELATED")
public class UserRoleReletedDO extends BaseDO {
    @ApiModelProperty(value = "角色关联表主键#<主键><唯一><非空>", notes ="角色关联表主键")
    @Id
    @Column(name="ROLE_RELATED_ID")
    private Long roleRelatedId;

    @ApiModelProperty(value = "id#<唯一>备用主键", notes ="id")
    @Column(name="ID")
    private Integer id;

    @ApiModelProperty(value = "id字符串#<唯一>备用主键", notes ="id字符串")
    @Column(name="ID_STR")
    private String idStr;

    @ApiModelProperty(value = "外部id字符串#用于外部数据更新", notes ="外部id字符串")
    @Column(name="OUT_ID")
    private String outId;

    @ApiModelProperty(value = "外部id来源#用于外部数据更新", notes ="外部id来源")
    @Column(name="OUT_FROM")
    private String outFrom;

    @ApiModelProperty(value = "上级ID#此处无用", notes ="上级ID")
    @Column(name="PARENT_ID")
    private String parentId;

    @ApiModelProperty(value = "原始角色id", notes ="原始角色id")
    @Column(name="ROLE_ID")
    private String roleId;

    @ApiModelProperty(value = "被授予权限的角色id集合以#开始以,结束", notes ="被授予权限的角色id集合以")
    @Column(name="RELATED_ROLE_IDS")
    private String relatedRoleIds;

    @ApiModelProperty(value = "排序", notes ="排序")
    @Column(name="DATA_ORDER")
    private Integer dataOrder;

    @ApiModelProperty(value = "数据版本号#每次更新递增1", notes ="数据版本号")
    @Column(name="VERSION")
    private String version;

    @ApiModelProperty(value = "数据uuid值", notes ="数据uuid值")
    @Column(name="DATA_UUID")
    private String dataUuid;

    @ApiModelProperty(value = "数据md5值", notes ="数据md5值")
    @Column(name="DATA_MD5")
    private String dataMd5;

    @ApiModelProperty(value = "数据时间戳#如20191210155600", notes ="数据时间戳")
    @Column(name="DATA_STAMP")
    private String dataStamp;

    @ApiModelProperty(value = "备用#数据类型", notes ="备用")
    @Column(name="DATA_TYPE")
    private String dataType;

    public UserRoleReletedDO() {
        super();
    }
}