package com.unis.user.server.feignclient;

import com.unis.user.server.dto.TransactionDTO;
import com.unis.user.server.model.CompanyVO;
import com.unis.user.server.untils.ResponseWrapper;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * 功能描述:
 *
 * @Auther: 蒋青茂
 * @Date: 2018/8/31 14:43
 */
@FeignClient(name = "base-server")
@Component
public interface CompanyClient {


    /**
     * 根据企业IDS获取企业信息
     *
     * @param id
     * @return
     */
    @RequestMapping(method = RequestMethod.GET, value = "/company/checkStatusById")
    ResponseWrapper checkStatusById(@RequestParam(value = "id") Long id);

    /**
     * 新增企业信息
     *
     * @param companyVO
     * @return
     */
    @RequestMapping(method = RequestMethod.POST, value = "/company")
    ResponseWrapper insert(@RequestBody CompanyVO companyVO);

    /**
     * 新增企业信息
     *
     * @param companyVO
     * @return
     */
    @RequestMapping(method = RequestMethod.POST, value = "/company")
    ResponseWrapper insertTransaction(@RequestBody TransactionDTO transactionDTO);
}
