package com.unis.user.server.model;

import lombok.Getter;
import lombok.Setter;

import javax.persistence.*;
import java.util.ArrayList;
import java.util.List;

/**
 * 功能描述：部门实体类
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Entity
@Table(name = "SYS_DEPARTMENT")
public class DepartmentPO extends BaseEntity {

    //部门编号（DP）  在父节点上增加3位流水序号  如北京分公司 DP + 001 = DP001
    @Id
    @Column(name = "DEPT_CODE")
    private String deptCode;

    //父节点
    @Column(name = "PARENT_CODE")
    private String parentCode="0";

    //部门名称
    @Column(name = "DEPT_NAME")
    private String deptName;

    //部门类型 10330001：直属部门；10330002：临时部门；10330003：虚拟部门
    @Column(name = "DEPT_TYPE")
    private String deptType;
    
    /**
     *  部门类型名称
     */
    @Transient
    private String deptTypeName;

    //所属机构编码
    @Column(name = "ORG_CODE")
    private String orgCode;

    //所属区域编码
    @Column(name = "COUNTY_CODE")
    private String countyCode;

    //联系人
    @Column(name = "CONTACT_MAN")
    private String contactMan;

    //联系地址
    @Column(name = "DEPT_ADDRESS")
    private String deptAddress;

    //电子邮箱
    @Column(name = "DEPT_EMAIL")
    private String deptEmail;

    //邮编
    @Column(name = "DEPT_POST")
    private String deptPost;

    //联系电话
    @Column(name = "DEPT_PHONE")
    private String deptPhone;

    //联系手机
    @Column(name = "DEPT_MOBILE")
    private String deptMobile;

    //传真
    @Column(name = "DEPT_FAX")
    private String deptFax;

    //经度
    @Column(name = "LONGITUDE")
    private Float longitude;

    //纬度
    @Column(name = "LATITUDE")
    private Float latitude;

    //简介
    @Column(name = "BREIF")
    private String breif;

    //排序
    @Column(name = "ORDER_BY")
    private Integer orderBy;

    /**
     * 子集容器
     */
    @Transient
    private List<DepartmentPO> children = new ArrayList<>();
    @Transient
    private List<UserPO> userList = new ArrayList<>();
}
