package com.unis.user.server.model;

import java.util.ArrayList;
import java.util.List;

import javax.persistence.Column;
import javax.persistence.Entity;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@SuppressWarnings("serial")
@Getter
@Setter
@Entity
@Table(name = "SYS_ORGAINZE")
public class OrgainzeVO extends BaseEntity {

	/**
	 *  组织编号
	 */
	@Id
	@Column(name="ORG_CODE")
	private String orgCode;
	/**
	 *  组织名称
	 */
	@Column(name="ORG_NAME")
	private String orgName;
	/**
	 *  组织等级
	 */
	@Column(name="ORG_LEVEL")
	private String orgLevel;

	/**
	 *  等级名称
	 */
	@Transient
	private String orgLevelName;
	/**
	 * 父级编号
	 */
	@Column(name="PARENT_CODE")
	private String parentCode;
	/**
	 * 机构类型
	 */
	@Column(name="ORG_TYPE")
	private String orgType;

	/**
	 *  组织类型名称
	 */
	@Transient
	private String orgTypeName;
	/**
	 *  区域编码
	 */
	@Column(name="COUNTY_CODE")
	private String countyCode;
	/**
	 * 联系人
	 */
	@Column(name="CONTACT_MAN")
	private String contactMan;
	/**
	 * 联系地址
	 */
	@Column(name="ORG_ADDRESS")
	private String orgAddress;
	/**
	 * 电子邮箱
	 */
	@Column(name="ORG_EMAIL")
	private String orgEmail;
	/**
	 * 邮编
	 */
	@Column(name="ORG_POST")
	private String orgPost;
	/**
	 *  联系电话
	 */
	@Column(name="ORG_PHONE")
	private String orgPhone;
	/**
	 * 手机
	 */
	@Column(name="ORG_MOBILE")
	private String orgMobile;
	/**
	 * 传真
	 */
	@Column(name="ORG_FAX")
	private String orgFax;
	/**
	 *  经度
	 */
	@Column(name="LONGITUDE")
	private Float longitude=0f;
	/**
	 *  纬度
	 */
	@Column(name="LATITUDE")
	private Float latitude=0f;
	/**
	 * 简介
	 */
	@Column(name="BREIF")
	private String breif;
	/**
	 *  排序
	 */
    @Column(name = "ORDER_BY")
    private Integer orderBy = 1;


	 /**
     * 子集容器
     */
    @Transient
    private List<OrgainzeVO> children = new ArrayList<>();

    /**
     *  获取部门树
     */
    @Transient
    private List<DepartmentPO> departList = new ArrayList<DepartmentPO>();

    @Transient
    private int isDept;

	@Transient
    @ApiModelProperty(value = "盟市下的企业集合, 给储备粮---粮食库存实施监管页面左侧树使用")
	private List<CompanyVO> companyChildren;

	@Transient
	@ApiModelProperty(value = "统一社会信用代码, 给储备粮---粮食库存实施监管页面左侧树使用")
	private String tyshxydm;

	@Transient
	@ApiModelProperty(value = "企业名称, 给储备粮---粮食库存实施监管页面左侧树使用")
	private String qymc;

	@Transient
	@ApiModelProperty(value = "所属库点名称")
	private String sskdmc;

	@Transient
	@ApiModelProperty(value = "所属库点代码")
	private String sskddm;

	@ApiModelProperty(value = "上级行政管理组织")
    @Column(name = "parent_account")
    private String parentAccount;

    public OrgainzeVO() {
    }

    public OrgainzeVO(String orgName, List<OrgainzeVO> children) {
        this.orgName = orgName;
        this.children = children;
    }
}
