package com.unis.user.server.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

@Getter
@Setter
@ToString
@Entity
@Table(name = "SYS_RESOURCE_INFO")
@JsonIgnoreProperties(ignoreUnknown = true)
@SuppressWarnings("all")
public class ResourcePO extends BaseEntity {

	//菜单代码
	@Id
	@Column(name = "RESOURCE_CODE")
	private String resourceCode;

	//菜单名称
	@Column(name = "RESOURCE_NAME")
	private String resourceName;

	//父菜单代码
	@Column(name = "PARENT_CODE")
	private String parentCode="0";

	//菜单类型
	@Column(name = "RESOURCE_TYPE")
	private String resourceType;

	//菜单顺序
	@Column(name = "RESOURCE_INDEX")
	private Integer resourceIndex;

	//菜单小图标
	@Column(name = "RESOURCE_PIC")
	private String resourcePic;

	//功能图标
	@Column(name = "FUNCTION_PIC")
	private String functionPic;

	//菜单图片
	@Column(name = "resource_Img_Id")
	private String resourceImgId;

	//菜单图片
	@Column(name = "resource_Img_Url")
	private String resourceImgUrl;

	//菜单扩展图标
	@Column(name = "RESOURCE_EXPIC")
	private String resourceExpic;

	//菜单描述
	@Column(name = "RESOURCE_DESC")
	private String resourceDesc;

	//菜单路径
	@Column(name = "RESOURCE_URL", length = 1000)
	private String resourceUrl;

	//菜单对应表名
	@Column(name = "RESOURCE_TABLE")
	private String resourceTable;

	//菜单对应表关键字
	@Column(name = "RESOURCE_KEY")
	private String resourceKey;

    @Transient
    private int connectByIsleaf;

	 /**
     * 子集容器
     */
    @Transient
    private List<ResourcePO> children = new ArrayList<>();

}
