package com.unis.user.server.model;

import com.unis.user.common.vo.role.UserRoleReletedVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.*;
import java.util.List;

/**
 * 功能描述: 行政区划表
 *
 * @Auther: 蒋青茂
 * @Date: 2018/5/17 13:04
 */

/**
 * 
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Entity
@Table(name = "SYS_ROLE_INFO")
public class RoleInfoVO extends BaseEntity {

	/**
	 *  角色编号
	 */
	@Id
    @Column(name = "ROLE_CODE")
    private String roleCode;

    /**
     *  角色名称
     */
    @Column(name = "ROLE_NAME")
    private String roleName;

    /**
     * 角色类型
     */
    @Column(name = "ROLE_TYPE")
    private String roleType;
    
    /**
     * 角色类型名称
     */
    @Transient
    private String roleTypeName;

    /**
     * 简介
     */
    @Column(name = "BREIF")
    private String breif;
    
    /**
     * 排序
     */
    @Column(name = "ORDER_BY")
    private int orderBy;

    @ApiModelProperty(value = "所属模块编码", notes ="所属模块编码")
    @Column(name="SSMK_CODE")
    private String ssmkCode;


    @ApiModelProperty(value = "所属模块名称", notes ="所属模块名称")
    @Column(name="SSMK_NAME")
    private String ssmkName;


    @ApiModelProperty(value = "所属单位类型编码", notes ="所属单位类型编码")
    @Column(name="SSDW_CODE")
    private String ssdwCode;


    @ApiModelProperty(value = "所属单位类型名称", notes ="所属单位类型名称")
    @Column(name="SSDW_NAME")
    private String ssdwName;

    @Transient
    private List<UserRoleReletedVO> userRoleReletedVOList;

    @Transient
    private List<String> roleCodeList;

    @Transient
    private boolean readonly;
}
