package com.unis.user.server.model;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.sql.Clob;
import java.util.Date;


/**
 * 功能描述：交易客户表
 */
@Getter
@Setter
@ToString
@Entity
@Table(name = "SYS_TRANSACTION_USER")
@JsonIgnoreProperties(ignoreUnknown = true)
@SuppressWarnings("all")
public class TransactionPO extends BaseEntity {


    //id
    @Id
    @Column(name = "ID", length = 32)
    private String id;

    //企业名称
    @Column(name = "QYMC", length = 64)
    private String qymc;

    //统一社会信用代码
    @Column(name = "TYSHXYDM", length = 32)
    private String tyshxydm;

    //纳税等级
    @Column(name = "NSDJ",length = 10   )
    private String nsdj;

    //纳税等级名称
    @Column(name = "nsdjmc")
    private String nsdjmc;

    //银行帐号
    @Column(name = "yhzh",length = 64)
    private String yhzh;

    //单位代码
    @Column(name = "dwdm", length = 32)
    private String dwdm;

    //法人
    @Column(name = "fddbr", length = 64)
    private String fddbr;

    //联系方式
    @Column(name = "lxfs", length = 32)
    private String lxfs;

    //电子邮箱
    private String qydzyx;

    //通讯地址
    @Column(name = "qytxdz",length = 255)
    private String qytxdz;

    //邮编
    @Column(name = "qyyb",length = 10)
    private Integer qyyb;
    
    //企业机构代码
    @Column(name = "qyjgdm", length = 50)
    private String qyjgdm;

    //企业状态(0、审批中。1，审核通过 2驳回 )
    @Column(name = "qyzt", length = 12)
    private Integer qyzt;

    //企业联系人
    @Column(name = "qylxr", length = 64)
    private String qylxr;

    //地区
    @Column(name = "areaCode",length = 32)
    private String areaCode;

    //地区
    @Column(name = "areaName", length = 64)
    private String areaName;

    // 审核意见
    @Column(name = "shyj",length = 255)
    private String  shyj;

    //注册日期
    @Column(name = "zcrq", length = 64)
    private String zcrq;


    /**
     * 用户编码
     */
    @Column(name = "user_Code", length = 64)
    private String userCode;
}