package com.unis.user.server.repository;

import java.io.Serializable;
import java.util.List;

import org.springframework.data.domain.Sort;
import org.springframework.data.jpa.domain.Specification;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import com.unis.user.server.model.AreaCountyVO;
import com.unis.user.server.model.AreaVO;

@Repository
@Transactional(propagation = Propagation.NESTED, rollbackFor = Exception.class)
public interface AreaCountyRepository extends JpaRepository<AreaCountyVO,Serializable>,JpaSpecificationExecutor <AreaCountyVO>{

	@Modifying
	@Query(value="SELECT * " + 
			"FROM BAS_AREA t " + 
			"where t.county_code = ?1",nativeQuery = true)
	List<AreaCountyVO> findCountyCode(String countyCode);
}
