package com.unis.user.server.repository;

import java.io.Serializable;
import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import com.unis.user.server.model.AreaVO;

@Repository
@Transactional(propagation = Propagation.NESTED, rollbackFor = Exception.class)
public interface AreaRepository extends JpaRepository<AreaVO,Serializable>,JpaSpecificationExecutor <AreaVO>{

	@Modifying
	@Query(value="SELECT * " + 
			"FROM BAS_AREA t " + 
			"where t.provin_code = ?1 "
			+ "GROUP BY t.provin_code,t.provin_name ",nativeQuery = true)
	List<AreaVO> findProvinCode(String countyCode);

	List<AreaVO> findByProvinCode(String countyCode);




}
