package com.unis.user.server.repository;

import com.unis.user.server.model.OrgainzeNoticeVO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.io.Serializable;

@Repository
@Transactional(propagation = Propagation.NESTED, rollbackFor = Exception.class)
public interface OrgainzeNoticeRepository extends JpaRepository<OrgainzeNoticeVO,Serializable>,JpaSpecificationExecutor <OrgainzeNoticeVO>{

	/**
	 * @param i
	 * @return根据组织code获取住址通知信息人
	 */
	OrgainzeNoticeVO findByIdAndStateCode(Integer id, Integer i);

	@Modifying
	@Query(value="update SYS_ORGAINZE_NOTICE "
			+ "set REFRESHER = ?2,"
			+ "REFRESHER_CODE = ?3,"
			+ "state_code = 0,"
			+ "REFRESH_TIME = now()"
			+ " where ID in ?1",nativeQuery = true)
	int delete(Integer[] ids, String string, String string2);

	OrgainzeNoticeVO findByOrgCodeAndStateCode(String orgCode, int i);


}


