package com.unis.user.server.repository;

import com.unis.user.server.model.ResourcePO;

import feign.Param;

import org.springframework.data.domain.Sort;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.io.Serializable;
import java.util.List;



@Repository
//@Transactional(propagation = Propagation.NESTED, rollbackFor = Exception.class)
public interface ResourceRepository extends JpaRepository<ResourcePO,Serializable>, JpaSpecificationExecutor<ResourcePO> {


	 ResourcePO findByResourceCodeAndStateCode(String resourceCode, int i);


	List<ResourcePO> findByStateCode(@Param("stateCode") Integer StateCode);


	List<ResourcePO> findByParentCodeAndResourceIndex(String string, int i, Sort sort);


	//ResourcePO findByResourceCodeAndStateCode(String resourceCode, int i);


	List<ResourcePO> findByParentCodeAndResourceIndexAndResourceCodeIn(String string, int i, String[] resources,
			Sort sort);


	List<ResourcePO> findByParentCodeAndStateCode(String string, int i, Sort sort);


	List<ResourcePO> findByParentCodeAndStateCodeAndResourceCodeIn(String string, int i, String[] resources, Sort sort);

	List<ResourcePO> findByStateCodeAndResourceTypeAndResourceCodeIn(int i, String resourceType, String[] resources, Sort sort);

	List<ResourcePO> findByParentCodeAndStateCodeAndResourceTypeAndResourceCodeIn(String string, int i, String resourceType, String[] resources, Sort sort);


	List<ResourcePO> findByStateCodeAndResourceCodeIn( int i, String[] resources);


	List<ResourcePO> findByStateCodeAndResourceCodeIn(int i, String[] resources, Sort sort);

	List<ResourcePO> findByStateCodeAndResourceTypeAndResourceCodeIn(int StateCode, String resourceType, Object[] resources);
}


