package com.unis.user.server.repository;

import java.io.Serializable;
import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import com.unis.user.server.model.RoleInfoVO;

@Repository
@Transactional(propagation = Propagation.NESTED, rollbackFor = Exception.class)
public interface RoleInfoRepository  extends JpaRepository<RoleInfoVO,Serializable>,JpaSpecificationExecutor <RoleInfoVO>{

	/**
	 * @param i
	 * @return 查询所有角色类型
	 */
	List<RoleInfoVO> findByStateCode(Integer stateCode);

	/**
	 * @param i
	 * @return 查询所有角色类型
	 */
	List<RoleInfoVO> findByStateCodeAndCreatorCode(Integer stateCode,String creatorCode);

	
	@Modifying
	@Query(value="update SYS_ROLE_INFO "
			+ "set REFRESHER = ?2,"
			+ "REFRESHER_CODE = ?3,"
			+ "STATE_CODE = 0,"
			+ "REFRESH_TIME = now()"
			+ " where ROLE_CODE = ?1",nativeQuery = true)
	int deleteByRoleCode(String roleCode, String userName, String userId);


	/**
	 * @param roleCode
	 * @param i
	 * @return 根绝角色编号获取角色信息
	 */
	RoleInfoVO findByRoleCodeAndStateCode(String roleCode, Integer i);

}
