package com.unis.user.server.repository;

import com.unis.user.server.dto.TransactionDTO;
import com.unis.user.server.model.RoleInfoVO;
import com.unis.user.server.model.TransactionPO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.io.Serializable;
import java.util.List;

@Repository
@Transactional(propagation = Propagation.NESTED, rollbackFor = Exception.class)
public interface TransactionRepository extends JpaRepository<TransactionPO,Serializable>,JpaSpecificationExecutor <TransactionPO>{


    TransactionPO findByDwdm(String userLoginName);

    TransactionPO findByIdAndStateCode(String id,Integer stateCode);

    TransactionPO findByQymcAndStateCode(String Qymc ,Integer stateCode);

    TransactionPO findByTyshxydmAndStateCode(String tyshxydm, int i);

    TransactionPO findByDwdmAndStateCode(String dwdm, int i);

    TransactionPO findByLxfsAndStateCode(String lxfs, int i);

}
