package com.unis.user.server.repository;


import com.unis.user.server.model.UserFunctionPO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.io.Serializable;
import java.util.List;

/**
 * 首页-常用功能
 */
@Repository
@Transactional(propagation = Propagation.NESTED, rollbackFor = Exception.class)
public interface UserFunctionRepository extends JpaRepository<UserFunctionPO, Serializable>, JpaSpecificationExecutor<UserFunctionPO> {

    List<UserFunctionPO> findUserFunctionPOSByUserCodeAndIsDeleted(String userCode, int i);

    void deleteAllByUserCode(String userCode);

}
