/*
 * PlugDeviceService.java
 * 版权所有 © 2011-2017 ??????????????
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2019-11-20 19:45:42 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.user.server.service;

import com.unis.common.utils.ResponseWrapper;
import com.unis.user.common.vo.org.OrgainzeVO;
import com.unis.user.common.vo.plug.PlugDeviceVO;
import com.unis.user.server.entity.plug.PlugDeviceDO;

/**
 * PLUG_DEVICE-视频监控表
 * @author lipenghe at 2019-11-20 19:45:42
 */
public interface PlugDeviceService {
    /**
     * <PLUG_DEVICE-视频监控表>
     * 插入全部字段
     * @param plugDeviceVO    <视频监控表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper insertEntityResult(PlugDeviceVO plugDeviceVO);

    /**
     * <PLUG_DEVICE-视频监控表>
     * 插入全部字段,可删除部分字段改为选择性插入
     * @param plugDeviceVO    <视频监控表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper insertEntitySelectiveResult(PlugDeviceVO plugDeviceVO);

    /**
     * <PLUG_DEVICE-视频监控表>
     * 更改状态
     * @param plugDeviceVO    <视频监控表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateStatusByEntityResult(PlugDeviceVO plugDeviceVO, String limit);

    /**
     * <PLUG_DEVICE-视频监控表>
     * 根据实体更新单条或者多条数据
     * @param plugDeviceVO    <视频监控表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateByEntityResult(PlugDeviceVO plugDeviceVO, String limit);

    /**
     * <PLUG_DEVICE-视频监控表>
     * 根据实体选择性更新
     * @param plugDeviceVO    <视频监控表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateByEntitySelectiveResult(PlugDeviceVO plugDeviceVO, String limit);

    /**
     * <PLUG_DEVICE-视频监控表>
     * 根据实体选择性更新
     * @param entity    <视频监控表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateByEntitySelectiveResult(PlugDeviceDO entity, String limit);

    /**
     * <PLUG_DEVICE-视频监控表>
     * 根据实体单条或者批量删除
     * @param plugDeviceVO    <视频监控表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper deleteByEntityResult(PlugDeviceVO plugDeviceVO, String limit);

    /**
    * <PLUG_DEVICE-视频监控表>
    * 根据实体(唯一标示)查询一条数据
    * @param plugDeviceVO    <视频监控表>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    ResponseWrapper selectByIdResult(PlugDeviceVO plugDeviceVO);

    /**
    * <PLUG_DEVICE-视频监控表>
    * 根据实体(唯一标示)启动推流
    * @param plugDeviceVO    <视频监控表>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    ResponseWrapper startByIdResult(PlugDeviceVO plugDeviceVO);

    /**
     * <PLUG_DEVICE-视频监控表>
     * 根据实体(唯一标示)停止推流
     * @param plugDeviceVO    <视频监控表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper stopByIdResult(PlugDeviceVO plugDeviceVO);

    /**
     * <PLUG_DEVICE-视频监控表>
     * 根据实体(唯一标示)查询一条数据
     * @param entity    <视频监控表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectByIdResult(PlugDeviceDO entity);

    /**
     * <PLUG_DEVICE-视频监控表>
     * 根据实体查询分页列表,带限制条件
     * @param plugDeviceVO    <视频监控表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectPageByEntityResult(int pageNo, int pageSize, PlugDeviceVO plugDeviceVO
            , String order);

    /**
    * <PLUG_DEVICE-视频监控表>
    * 根据实体查询列表
    * @param plugDeviceVO    <视频监控表>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    ResponseWrapper selectByEntityResult(PlugDeviceVO plugDeviceVO);

    /**
    * <PLUG_DEVICE-视频监控表>
    * 根据实体
    * @param orgainzeVO    <视频监控表>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    ResponseWrapper selectTreeByEntityResult(OrgainzeVO orgainzeVO);

    /**
     * <PLUG_DEVICE-视频监控表>
     * 根据实体查询列表
     * @param entity    <视频监控表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectByEntityResult(PlugDeviceDO entity);

    /**
     * <PLUG_DEVICE-视频监控表>
     * 根据实体查询初始化数据
     * @param plugDeviceVO    <视频监控表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectInitDataResult(PlugDeviceVO plugDeviceVO);

}