/*
 * UserRoleReletedService.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2020-07-06 15:41:41 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.user.server.service;

import com.unis.common.utils.ResponseWrapper;
import com.unis.common.vo.base.PageResult;
import com.unis.user.common.vo.role.UserRoleReletedVO;
import com.unis.user.server.entity.role.UserRoleReletedDO;

import java.util.List;

/**
 * SYS_USER_ROLE_RELATED-角色关联
 * @author lipenghe at 2020-07-06 15:41:41
 */
public interface UserRoleReletedService {
    /**
     * <SYS_USER_ROLE_RELATED-角色关联>
     * 插入全部字段
     * @param roleReletedVO    <角色关联>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper insertEntityResult(UserRoleReletedVO roleReletedVO);

    /**
     * <SYS_USER_ROLE_RELATED-角色关联>
     * 选择性插入字段
     * @param roleReletedVO    <角色关联>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper insertEntitySelectiveResult(UserRoleReletedVO roleReletedVO);

    /**
     * <SYS_USER_ROLE_RELATED-角色关联>
     * 更改状态
     * @param roleReletedVO    <角色关联>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateStatusByEntityResult(UserRoleReletedVO roleReletedVO, String limit);

    /**
     * <SYS_USER_ROLE_RELATED-角色关联>
     * 根据实体某些属性更新全部字段
     * @param roleReletedVO    <角色关联>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateByEntityResult(UserRoleReletedVO roleReletedVO, String limit);

    /**
     * <SYS_USER_ROLE_RELATED-角色关联>
     * 根据实体不为空的属性,选择性更新字段
     * @param roleReletedVO    <角色关联>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateByEntitySelectiveResult(UserRoleReletedVO roleReletedVO, String limit);

    /**
     * <SYS_USER_ROLE_RELATED-角色关联>
     * 根据实体不为空的属性,选择性更新字段
     * @param entity    <角色关联>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateByEntitySelectiveResult(UserRoleReletedDO entity, String limit);

    /**
     * <SYS_USER_ROLE_RELATED-角色关联>
     * [真删除]根据实体的某些属性进行单条或者批量删除
     * @param roleReletedVO    <角色关联>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper deleteByEntityResult(UserRoleReletedVO roleReletedVO, String limit);

    /**
    * <SYS_USER_ROLE_RELATED-角色关联>
    * 根据实体(唯一标示)查询一条数据
    * @param roleReletedVO    <角色关联>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    ResponseWrapper selectByIdResult(UserRoleReletedVO roleReletedVO);

    /**
     * <SYS_USER_ROLE_RELATED-角色关联>
     * 根据实体(唯一标示)查询一条数据
     * @param entity    <角色关联>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectByIdResult(UserRoleReletedDO entity);

    /**
     * <SYS_USER_ROLE_RELATED-角色关联>
     * 根据实体的某些属性查询分页数据,带限制条件
     * @param roleReletedVO    <角色关联>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectPageByEntityResult(int pageNo, int pageSize
            , UserRoleReletedVO roleReletedVO, String order);

    /**
    * <SYS_USER_ROLE_RELATED-角色关联>
    * 根据实体的某些属性查询列表
    * @param roleReletedVO    <角色关联>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    ResponseWrapper selectByEntityResult(UserRoleReletedVO roleReletedVO);

    /**
     * <SYS_USER_ROLE_RELATED-角色关联>
     * 根据实体的某些属性查询列表
     * @param entity    <角色关联>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectByEntityResult(UserRoleReletedDO entity);

    /**
     * <SYS_USER_ROLE_RELATED-角色关联>
     * 根据实体查询初始化数据
     * @param roleReletedVO    <角色关联>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectInitDataResult(UserRoleReletedVO roleReletedVO);

}