/*
 * PlugDeviceServiceImpl.java
 * 版权所有 © 2011-2017 ??????????????
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2019-11-20 19:45:42 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.user.server.service.impl;

import com.github.pagehelper.Page;
import com.unis.common.utils.JsonUtils;
import com.unis.common.utils.ResponseWrapper;
import com.unis.common.vo.base.PageResult;
import com.unis.user.common.vo.depot.DepotVO;
import com.unis.user.common.vo.org.OrgainzeShowVO;
import com.unis.user.common.vo.org.OrgainzeVO;
import com.unis.user.common.vo.plug.PlugDeviceListVO;
import com.unis.user.common.vo.plug.PlugDeviceShowVO;
import com.unis.user.common.vo.plug.PlugDeviceVO;
/*PlugDeviceVO*/
import com.unis.user.server.domain.org.OrgainzeDomain;
import com.unis.user.server.domain.plug.PlugDeviceDomain;
import com.unis.user.server.entity.plug.PlugDeviceDO;
import com.unis.user.server.feignclient.BaseServerClient;
import com.unis.user.server.service.PlugDeviceService;
//import com.video.monitor.commandManager.CommandFactory;
//import com.video.monitor.commandManager.CommandManager;
//import com.video.monitor.commandManager.CommandManagerImpl;
//import com.video.monitor.commandManager.commandbuidler.CommandBuidlerFactory;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import java.util.Comparator;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * PLUG_DEVICE-视频监控表
 * @author lipenghe at 2019-11-20 19:45:42
 */
@Component
@Transactional
@Slf4j
public class PlugDeviceServiceImpl implements PlugDeviceService {

    @Autowired
    PlugDeviceDomain plugDeviceDomain;

    @Autowired
    OrgainzeDomain orgainzeDomain;

    @Autowired
    BaseServerClient baseServerClient  ;

    /**
     * <PLUG_DEVICE-视频监控表>
     * 插入全部字段
     * @param plugDeviceVO    <视频监控表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper insertEntityResult(PlugDeviceVO plugDeviceVO) {
        return plugDeviceDomain.insertEntity(plugDeviceVO);
    }

    /**
     * <PLUG_DEVICE-视频监控表>
     * 插入全部字段
     * @param plugDeviceVO    <视频监控表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper insertEntitySelectiveResult(PlugDeviceVO plugDeviceVO) {
        ResponseWrapper responseWrapper= plugDeviceDomain.insertEntitySelective(plugDeviceVO);
        if(responseWrapper.isSuccess()){
            return startCommand(plugDeviceVO);
        }
        return responseWrapper;
    }

    /**
     * <PLUG_DEVICE-视频监控表>
     * 更改状态
     * @param plugDeviceVO    <视频监控表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper updateStatusByEntityResult(PlugDeviceVO plugDeviceVO, String limit) {
        return plugDeviceDomain.updateStatusByEntity(plugDeviceVO);
    }

    /**
     * <PLUG_DEVICE-视频监控表>
     * 根据实体更新单条或者多条数据
     * @param plugDeviceVO    <视频监控表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper updateByEntityResult(PlugDeviceVO plugDeviceVO, String limit) {
        return plugDeviceDomain.updateByEntity(plugDeviceVO);
    }

    /**
     * <PLUG_DEVICE-视频监控表>
     * 根据实体选择性更新
     * @param plugDeviceVO    <视频监控表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper updateByEntitySelectiveResult(PlugDeviceVO plugDeviceVO, String limit) {
        return plugDeviceDomain.updateByEntitySelective(plugDeviceVO);
    }

    /**
     * <PLUG_DEVICE-视频监控表>
     * 根据实体选择性更新
     * @param entity    <视频监控表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper updateByEntitySelectiveResult(PlugDeviceDO entity, String limit) {
        int num= plugDeviceDomain.updateByEntitySelective(entity);
        return ResponseWrapper.choose(num);
    }

    /**
     * <PLUG_DEVICE-视频监控表>
     * 根据实体单条或者批量删除
     * @param plugDeviceVO    <视频监控表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper deleteByEntityResult(PlugDeviceVO plugDeviceVO, String limit) {
        return plugDeviceDomain.deleteShamByEntity(plugDeviceVO);
    }

    /**
    * <PLUG_DEVICE-视频监控表>
    * 根据实体(唯一标示)查询一条数据
    * @param plugDeviceVO    <视频监控表>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    @Override
    public ResponseWrapper selectByIdResult(PlugDeviceVO plugDeviceVO) {
        PlugDeviceVO plugDeviceVODb=plugDeviceDomain.selectById(plugDeviceVO);
        if(plugDeviceVODb!=null){
            PlugDeviceShowVO plugDeviceShowVO= JsonUtils.parse(
                JsonUtils.serialize(plugDeviceVODb), PlugDeviceShowVO.class);
            return ResponseWrapper.success(plugDeviceShowVO);
        }
        return ResponseWrapper.notFound();
    }

    /**
    * <PLUG_DEVICE-视频监控表>
    * 根据实体(唯一标示)启动推流
    * @param plugDeviceVO    <视频监控表>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    @Override
    public ResponseWrapper startByIdResult(PlugDeviceVO plugDeviceVO) {
        PlugDeviceVO plugDeviceVODb=plugDeviceDomain.selectById(plugDeviceVO);
        if(plugDeviceVODb!=null){
            return startCommand(plugDeviceVODb);
        }
        return ResponseWrapper.fail();
    }

    /**
     * <PLUG_DEVICE-视频监控表>
     * 根据实体(唯一标示)停止推流
     * @param plugDeviceVO    <视频监控表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper stopByIdResult(PlugDeviceVO plugDeviceVO) {
        PlugDeviceVO plugDeviceVODb=plugDeviceDomain.selectById(plugDeviceVO);
        if(plugDeviceVODb!=null){
            return stopCommand(plugDeviceVODb);
        }
        return ResponseWrapper.fail();
    }

    private ResponseWrapper stopCommand(PlugDeviceVO plugDeviceVO){
        /*CommandManager manager= CommandFactory.getInstance();
        boolean bool=manager.stop(plugDeviceVO.getDevid());
        if(bool){
            return ResponseWrapper.success("停止成功");
        }*/
        return ResponseWrapper.fail();
    }

    private ResponseWrapper startCommand(PlugDeviceVO plugDeviceVO){
        if(plugDeviceVO==null){
            return ResponseWrapper.error("启动失败:找不到设备");
        }else if(StringUtils.isEmpty(plugDeviceVO.getPullUrl())){
            return ResponseWrapper.error("启动失败:拉流地址不能为空");
        }else if(StringUtils.isEmpty(plugDeviceVO.getPushUrl())){
            return ResponseWrapper.error("启动失败:推流地址不能为空");
        }else if(StringUtils.isEmpty(plugDeviceVO.getOutFormat())){
            return ResponseWrapper.error("启动失败:输出格式不能为空");
        }else if(StringUtils.isEmpty(plugDeviceVO.getDevChannel())){
            return ResponseWrapper.error("启动失败:设备通道不能为空");
        }else{
            String pushUrl=plugDeviceVO.getPushUrl();
            if(!pushUrl.endsWith("/")){
                pushUrl+="/";
            }
            String scale=null;
            if(StringUtils.isNotEmpty(plugDeviceVO.getOutWidth()) && StringUtils.isNotEmpty(plugDeviceVO.getOutHeight())){
                scale=plugDeviceVO.getOutWidth()+"x"+plugDeviceVO.getOutHeight();
            }
            pushUrl=pushUrl+plugDeviceVO.getDevid();
            /*CommandManager manager= CommandFactory.getInstance();
            String res=manager.start(plugDeviceVO.getDevid(), CommandBuidlerFactory.createBuidler()
                    .add("ffmpeg")
                    .add("-rtsp_transport","tcp")
                    .add("-i",plugDeviceVO.getPullUrl())
                    .add("-vcodec","copy")
                    .add("-acodec","copy")
                    .add("-s",scale)
                    .add("-f",plugDeviceVO.getOutFormat())
                    .add("-y").add(pushUrl)
            );
            log.info("拉流地址:<{}>,推流地址:<{}>",plugDeviceVO.getPullUrl(),pushUrl);
            if(StringUtils.isNotEmpty(res)){
                return ResponseWrapper.success(HttpStatus.OK.value(),"启动中",plugDeviceVO);
            }*/
            return ResponseWrapper.error("启动推流失败,请检查推流/拉流地址");
        }
    }

    /**
     * <PLUG_DEVICE-视频监控表>
     * 根据实体(唯一标示)查询一条数据
     * @param entity    <视频监控表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper selectByIdResult(PlugDeviceDO entity) {
        PlugDeviceVO plugDeviceVO=plugDeviceDomain.selectById(entity);
        if(plugDeviceVO!=null){
            PlugDeviceShowVO plugDeviceShowVO= JsonUtils.parse(
                JsonUtils.serialize(plugDeviceVO), PlugDeviceShowVO.class);
            return ResponseWrapper.success(plugDeviceShowVO);
        }
        return ResponseWrapper.notFound();
    }

    /**
     * <PLUG_DEVICE-视频监控表>
     * 根据实体查询分页列表
     * @param plugDeviceVO    <视频监控表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper selectPageByEntityResult(int pageNo, int pageSize
        , PlugDeviceVO plugDeviceVO, String order) {
        Page<PlugDeviceVO> plugDeviceVOPage=plugDeviceDomain.selectPageByEntity(pageNo,pageSize,plugDeviceVO,order);
        PageResult<PlugDeviceVO> plugDeviceVOPageResult=new PageResult<>(plugDeviceVOPage);
        PageResult<PlugDeviceListVO> plugDeviceListVOPageResult= JsonUtils.parse(
            JsonUtils.serialize(plugDeviceVOPageResult), PageResult.class);
        return ResponseWrapper.success(plugDeviceListVOPageResult);
    }

    /**
    * <PLUG_DEVICE-视频监控表>
    * 根据实体查询列表
    * @param plugDeviceVO    <视频监控表>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    @Override
    public ResponseWrapper selectByEntityResult(PlugDeviceVO plugDeviceVO) {
        List<PlugDeviceVO> plugDeviceVOList=plugDeviceDomain.selectByEntity(plugDeviceVO);
        List<PlugDeviceListVO> plugDeviceListVOList= JsonUtils.parseList(
            JsonUtils.serialize(plugDeviceVOList), PlugDeviceListVO.class);
        return ResponseWrapper.success(plugDeviceListVOList);
    }

    /**
    * <PLUG_DEVICE-视频监控表>
    * 根据实体
    * @param orgainzeVO    <视频监控表>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    @Override
    public ResponseWrapper selectTreeByEntityResult(OrgainzeVO orgainzeVO) {
        List<OrgainzeVO> orgainzeList=orgainzeDomain.selectByEntity(orgainzeVO);
        PlugDeviceVO plugDeviceVO=new PlugDeviceVO();
        for(OrgainzeVO orgainzeTemp : orgainzeList){
            ResponseWrapper resp = baseServerClient.selectQy(orgainzeTemp.getOrgCode());
            if (resp != null && "SUCCESS".equalsIgnoreCase(resp.getStatus().name()) /*&& rgetData() != null*/) {
                Map<String,Object> map = (Map<String,Object>)(resp.getData());
                String tyshxydm=String.valueOf(map.getOrDefault("tyshxydm",""));
                if(StringUtils.isNotEmpty(tyshxydm)){
                    ResponseWrapper respo =baseServerClient.getDKdxxsjyInfoBytyshxydm(tyshxydm);
                    if (respo != null && "SUCCESS".equalsIgnoreCase(respo.getStatus().name()) && respo.getData() != null) {
                        List<DepotVO> depotList=JsonUtils.parseList(JsonUtils.serialize(respo.getData()), DepotVO.class);
                        orgainzeTemp.setChildData(depotList);
                        for(DepotVO depotTemp : depotList){
                            plugDeviceVO.setParentId(depotTemp.getKddm());
                            List<PlugDeviceVO> deviceList=plugDeviceDomain.selectByEntity(plugDeviceVO);
                            depotTemp.setChildData(deviceList);
                        }
                    }
                }
            }
        }
        List<OrgainzeShowVO> orgainzeShowVOList= JsonUtils.parseList(
            JsonUtils.serialize(orgainzeList), OrgainzeShowVO.class);
        return ResponseWrapper.success(orgainzeShowVOList);
    }

    /**
     * <PLUG_DEVICE-视频监控表>
     * 根据实体查询列表
     * @param entity    <视频监控表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper selectByEntityResult(PlugDeviceDO entity) {
        List<PlugDeviceVO> plugDeviceVOList=plugDeviceDomain.selectByEntity(entity);
        List<PlugDeviceListVO> plugDeviceListVOList= JsonUtils.parseList(
            JsonUtils.serialize(plugDeviceVOList), PlugDeviceListVO.class);
        return ResponseWrapper.success(plugDeviceListVOList);
    }

    /**
     * <PLUG_DEVICE-视频监控表>
     * 根据实体查询初始化数据
     * @param plugDeviceVO    <视频监控表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper selectInitDataResult(PlugDeviceVO plugDeviceVO) {
        return ResponseWrapper.success(plugDeviceVO);
    }

}
