/*
 * UserRoleReletedServiceImpl.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2020-07-06 15:41:41 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.user.server.service.impl;

import com.github.pagehelper.Page;
import com.unis.common.utils.ResponseWrapper;
import com.unis.common.vo.base.PageResult;
import com.unis.user.common.vo.role.UserRoleReletedVO;
import com.unis.user.server.domain.role.UserRoleReletedDomain;
import com.unis.user.server.entity.role.UserRoleReletedDO;
import com.unis.user.server.service.UserRoleReletedService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * SYS_USER_ROLE_RELATED-角色关联
 * @author lipenghe at 2020-07-06 15:41:41
 */
@Component
@Transactional
public class UserRoleReletedServiceImpl implements UserRoleReletedService {

    @Autowired
    UserRoleReletedDomain userRoleReletedDomain;

    /**
     * <SYS_USER_ROLE_RELATED-角色关联>
     * 插入全部字段
     * @param roleReletedVO    <角色关联>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper insertEntityResult(UserRoleReletedVO roleReletedVO) {
        return userRoleReletedDomain.insertEntity(roleReletedVO);
    }

    /**
     * <SYS_USER_ROLE_RELATED-角色关联>
     * 选择性插入字段
     * @param roleReletedVO    <角色关联>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper insertEntitySelectiveResult(UserRoleReletedVO roleReletedVO) {
        return userRoleReletedDomain.insertEntitySelective(roleReletedVO);
    }

    /**
     * <SYS_USER_ROLE_RELATED-角色关联>
     * 更改状态
     * @param roleReletedVO    <角色关联>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper updateStatusByEntityResult(UserRoleReletedVO roleReletedVO, String limit) {
        return userRoleReletedDomain.updateStatusByEntity(roleReletedVO);
    }

    /**
     * <SYS_USER_ROLE_RELATED-角色关联>
     * 根据实体某些属性更新全部字段
     * @param roleReletedVO    <角色关联>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper updateByEntityResult(UserRoleReletedVO roleReletedVO, String limit) {
        return userRoleReletedDomain.updateByEntity(roleReletedVO);
    }

    /**
     * <SYS_USER_ROLE_RELATED-角色关联>
     * 根据实体不为空的属性,选择性更新字段
     * @param roleReletedVO    <角色关联>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper updateByEntitySelectiveResult(UserRoleReletedVO roleReletedVO, String limit) {
        return userRoleReletedDomain.updateByEntitySelective(roleReletedVO);
    }

    /**
     * <SYS_USER_ROLE_RELATED-角色关联>
     * 根据实体不为空的属性,选择性更新字段
     * @param entity    <角色关联>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper updateByEntitySelectiveResult(UserRoleReletedDO entity, String limit) {
        int num= userRoleReletedDomain.updateByEntitySelective(entity);
        return ResponseWrapper.choose(num);
    }

    /**
     * <SYS_USER_ROLE_RELATED-角色关联>
     * [真删除]根据实体的某些属性进行单条或者批量删除
     * @param roleReletedVO    <角色关联>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper deleteByEntityResult(UserRoleReletedVO roleReletedVO, String limit) {
        return userRoleReletedDomain.deleteShamByEntity(roleReletedVO);
    }

    /**
    * <SYS_USER_ROLE_RELATED-角色关联>
    * 根据实体(唯一标示)查询一条数据
    * @param roleReletedVO    <角色关联>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    @Override
    public ResponseWrapper selectByIdResult(UserRoleReletedVO roleReletedVO) {
        UserRoleReletedVO roleReletedVODb=userRoleReletedDomain.selectById(roleReletedVO);
        if(roleReletedVODb!=null){
            return ResponseWrapper.success(roleReletedVODb);
        }
        return ResponseWrapper.notFound();
    }

    /**
     * <SYS_USER_ROLE_RELATED-角色关联>
     * 根据实体(唯一标示)查询一条数据
     * @param entity    <角色关联>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper selectByIdResult(UserRoleReletedDO entity) {
        UserRoleReletedVO roleReletedVO=userRoleReletedDomain.selectById(entity);
        if(roleReletedVO!=null){
            return ResponseWrapper.success(roleReletedVO);
        }
        return ResponseWrapper.notFound();
    }

    /**
     * <SYS_USER_ROLE_RELATED-角色关联>
     * 根据实体的某些属性查询分页数据
     * @param roleReletedVO    <角色关联>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper selectPageByEntityResult(int pageNo, int pageSize
        , UserRoleReletedVO roleReletedVO, String order) {
        Page<UserRoleReletedVO> roleReletedVOPage=userRoleReletedDomain.selectPageByEntity(pageNo,pageSize,roleReletedVO,order);
        PageResult<UserRoleReletedVO> roleReletedVOPageResult=new PageResult<>(roleReletedVOPage);
        return ResponseWrapper.success(roleReletedVOPageResult);
    }

    /**
    * <SYS_USER_ROLE_RELATED-角色关联>
    * 根据实体的某些属性查询列表
    * @param roleReletedVO    <角色关联>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    @Override
    public ResponseWrapper selectByEntityResult(UserRoleReletedVO roleReletedVO) {
        List<UserRoleReletedVO> roleReletedVOList=userRoleReletedDomain.selectByEntity(roleReletedVO);
        return ResponseWrapper.success(roleReletedVOList);
    }

    /**
    * <SYS_USER_ROLE_RELATED-角色关联>
    * 根据实体的某些属性查询列表
    * @param entity    <角色关联>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    @Override
    public ResponseWrapper selectByEntityResult(UserRoleReletedDO entity) {
        List<UserRoleReletedVO> roleReletedVOList=userRoleReletedDomain.selectByEntity(entity);
        return ResponseWrapper.success(roleReletedVOList);
    }

    /**
     * <SYS_USER_ROLE_RELATED-角色关联>
     * 根据实体查询初始化数据
     * @param roleReletedVO    <角色关联>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    @Override
    public ResponseWrapper selectInitDataResult(UserRoleReletedVO roleReletedVO) {
        return ResponseWrapper.success(roleReletedVO);
    }

}
