package com.unis.user.server.untils;

import lombok.extern.slf4j.Slf4j;
import org.springframework.data.domain.Page;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 功能描述: 将分页查询返回的page对象，转换为map
 *
 * @Auther: 蒋青茂
 * @Date: 2018/5/23 13:39
 */
@Slf4j
public class  PageUtils  {

    public  static Map<String,Object> getPage(Page page){
        Map<String,Object> map = new HashMap<String,Object>();
        //数据
        List<Object> list = page.getContent();
        //是否是第一页
        boolean isFirst = page.isFirst();
        //是否是最后一页
        boolean isLast = page.isLast();
        //总页数
        int totalPages = page.getTotalPages();
        //总数据条数
        long totalElements = page.getTotalElements();
        //当前页数
        int number = page.getNumber();
        //每页多少条数据
        int size = page.getSize();

        map.put("list",list);
        map.put("isFirst",isFirst);
        map.put("isLast",isLast);
        map.put("totalPages",totalPages);
        map.put("totalElements",totalElements);
        map.put("number",number);
        map.put("size",size);

        return  map;
    }

    public static Map<String, Object> getPageByContent(Page page,List list) {
        Map<String, Object> map = new HashMap<String, Object>();

        //是否是第一页
        boolean isFirst = page.isFirst();
        //是否是最后一页
        boolean isLast = page.isLast();
        //总页数
        int totalPages = page.getTotalPages();
        //总数据条数
        long totalElements = page.getTotalElements();
        //当前页数
        int number = page.getNumber();
        //每页多少条数据
        int size = page.getSize();

        map.put("list", list);
        map.put("isFirst", isFirst);
        map.put("isLast", isLast);
        map.put("totalPages", totalPages);
        map.put("totalElements", totalElements);
        map.put("number", number);
        map.put("size", size);

        return map;
    }

}
