package com.unis.user.server.untils;

import com.unis.user.server.model.UserPO;
import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

/**
 * 功能描述: request工具类
 *
 * @Auther: 蒋青茂
 * @Date: 2018/6/13 17:23
 */
@SuppressWarnings("all")
public class RequestUtils {

    /**
     * @描述 获取当前用户
     * @rerurn： UserPO
     * @author：蒋青茂
     * @date 2018/6/14
     */
    public static UserPO getUser() {
        HttpSession session = getSession();
        //获取用户
        Object user = session.getAttribute("user");
        if (user != null) {
            return (UserPO) user;
        }
        return null;
    }

    /**
     * @描述 获取当前用户名字
     * @author：蒋青茂
     * @date 2018/6/14
     */
    public static String getUserName() {

        HttpSession session = getSession();
        Object user = session.getAttribute("user");
        if (user != null) {
            UserPO userPO = (UserPO) user;
            return userPO.getUserName();
        }
        return null;
    }

    /**
     * @描述 获取 sessionID
     * @author：蒋青茂
     * @date 2018/6/14
     */
    public static String getSessionID() {
        HttpSession session = getSession();
        String sessionID = session.getId();
        return sessionID;
    }

    /**
     * @描述 清除 session
     * @author：蒋青茂
     * @date 2018/6/14
     */
    public static void deletesSession() {
        getSession().invalidate();
    }

    /**
     * @描述 获取session
     * @author：蒋青茂
     * @date 2018/6/14
     */
    public static HttpSession getSession() {
        HttpServletRequest request = getRequest();
        HttpSession session = request.getSession();
        return session;
    }

    /**
     * @描述 获取 request
     * @author：蒋青茂
     * @date 2018/6/14
     */
    public static HttpServletRequest getRequest() {
        ServletRequestAttributes attributes = (ServletRequestAttributes) RequestContextHolder.getRequestAttributes();
        HttpServletRequest request = attributes.getRequest();
        return request;
    }

    /**
     * @描述 获取 response
     * @author：蒋青茂
     * @date 2018/6/14
     */
    public  static HttpServletResponse getResponse(){
        HttpServletResponse response = ((ServletRequestAttributes)RequestContextHolder.getRequestAttributes()).getResponse();
        return  response;
    }

}
