//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by Fernflower decompiler)
//

package com.unis.common.utils;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.unis.common.utils.jwt.JwtConstant;
import com.unis.common.utils.jwt.JwtUtil;
import com.unis.common.utils.vo.QyUserTO;
import org.apache.commons.lang.StringUtils;
import org.springframework.stereotype.Component;
import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.Serializable;
import java.util.List;

@Component
public class CurrentUtils {
    @Resource
    private RedisUtil<Serializable> redisUtil;
    @Resource
    private SessionUtil sessionUtil;


    public String getUserId() {
        return this.sessionUtil.getUserId();
    }

    public List<String> getUserRole() {
        return this.sessionUtil.getUserRole();
    }

    public String getAccount() {
        return this.sessionUtil.getAccount();
    }

    public String getUserName() {
        return this.sessionUtil.getUserName();
    }

    public String getOrgId() {
        return this.sessionUtil.getOrgId();
    }

    public String getOrgName() {
        return this.sessionUtil.getOrgName();
    }

    public String getDeptId() {
        return this.sessionUtil.getDeptId();
    }

    public String getDeptName() {
        return this.sessionUtil.getDeptName();
    }

    public String getAreaCode() {
        return this.sessionUtil.getAreaCode();
    }

    public String getPassWord() {
        return this.sessionUtil.getPassWord();
    }

    public String getUserType() {
        return this.sessionUtil.getUserType();
    }

    public void setCompanyInfo(QyUserTO qyUserTO, String orgId) {
        String redisKey = "company_baseinfo@" + orgId;
        String redisValue = JSONObject.toJSONString(qyUserTO);
        this.redisUtil.setStr(redisKey, redisValue);
    }

    QyUserTO getCompanyInfo() {
        QyUserTO qyUserTO = null;
        HttpServletRequest request = getRequest();
        String jwt = request.getHeader(JwtConstant.TOKEN);
        StringBuffer stringBuffer = new StringBuffer("company_baseinfo");
        stringBuffer.append("@");
        stringBuffer.append((String)JwtUtil.parseJWT(jwt).get(JwtUtil.USER_ID, String.class));
        String redisKey = stringBuffer.toString();
        String companyInfo = this.redisUtil.getStr(redisKey);
        qyUserTO = (QyUserTO)JSON.parseObject(companyInfo.toString(), QyUserTO.class);
        return qyUserTO;
    }

    public String getCreditCode() {
        return this.getCompanyInfo().getCreditCode();
    }

    public String getCompanyName() {
        return this.getCompanyInfo().getCompanyName();
    }

    public int getCompanyAreaLevel() {
        String userAreaCode = this.getCompanyInfo().getAreaCode();
        StringUtils.substring(userAreaCode, 2, 6);
        if (StringUtils.substring(userAreaCode, 2, 6).equals("0000")) {
            return 1;
        } else {
            return StringUtils.substring(userAreaCode, 4, 6).equals("00") ? 2 : 3;
        }
    }

    public int getUserAreaLevel() {
        String userAreaCode = this.sessionUtil.getAreaCode();
        StringUtils.substring(userAreaCode, 2, 6);
        if (StringUtils.substring(userAreaCode, 2, 6).equals("0000")) {
            return 1;
        } else {
            return StringUtils.substring(userAreaCode, 4, 6).equals("00") ? 2 : 3;
        }
    }

    public static HttpServletRequest getRequest() {
        ServletRequestAttributes attributes = (ServletRequestAttributes)RequestContextHolder.getRequestAttributes();
        HttpServletRequest request = attributes.getRequest();
        return request;
    }

    public static HttpServletResponse getResponse() {
        HttpServletResponse response = ((ServletRequestAttributes)RequestContextHolder.getRequestAttributes()).getResponse();
        return response;
    }
}
